package u8c.ui.mm.action;

import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.AddAction;
import nc.vo.OperationMainVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mm.panel.OperationTestUI;


public class OperationAddAction extends AddAction{
	OperationTestUI frameUI = null;
	
	public OperationAddAction(FrameUI frameUI) {
		super(frameUI);
		this.frameUI = (OperationTestUI) frameUI;
	}

	public boolean validate() throws ValidationException { 
		return super.validate();
	}
	
	public void execute() throws Exception{
		super.execute();
		
		OperationTestUI ui = (OperationTestUI) this.getFrameUI();
		
		ui.getBillCardPanel().setHeadItem(OperationMainVO.PK_CORP, PubEnv.getPk_corp());// 默认当前公司
		ui.getBillCardPanel().setHeadItem(OperationMainVO.BILLSTATUS, IBillStatus.COMMIT); 
		ui.getBillCardPanel().setTailItem(OperationMainVO.DBILLDATE, PubEnv.getServerDate());//默认当前时间
		ui.getBillCardPanel().setHeadItem(OperationMainVO.BILLMAKER, PubEnv.getPk_user());

	}
}
