package u8c.ui.mm.action;

import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.DeleteAction;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.vo.OperationMainVO;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mm.panel.OperationMainPanel;


public class OperationDeleteAction extends DeleteAction {
	public OperationDeleteAction(FrameUI frameUI) {
		super(frameUI);
	}

	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
//		int selectedRow = ((OperationMainPanel) getMainPanel()).getSelectedRow();
//		HRAggVO [] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getData();
//		HRAggVO [] s = new HRAggVO[] {this.getSelection(mainMgrPanel)};
//		if (null != s && s[selectedRow] != null){
//		OperationMainVO headvo = (OperationMainVO) s[0].getParentVO();
//			if (headvo.getBillstatus()!=IBillStatus.FREE){
//				throw new ValidationException("非自由态单据不允许删除");
//		    }
//		}
			
		HRAggVO [] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getDeleteData();
		if(s != null) {
			for (int i = 0; i < s.length; i++) {
				OperationMainVO headvo = (OperationMainVO) s[i].getParentVO();
				if (headvo.getBillstatus()!=IBillStatus.FREE){
					throw new ValidationException("非自由态单据不允许删除");
			    }
			}
		}	
		super.execute();
	}
}
