package u8c.ui.mm.action;

import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.BrowseFromListToCardAction;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.ui.hr.frame.state.StateRegister;
import nc.vo.OperationMainVO;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mm.panel.OperationMainPanel;
import u8c.ui.mm.panel.OperationTestUI;

public class OperationEditAction extends BrowseFromListToCardAction{
	public OperationEditAction(FrameUI frameUI) {
		super(frameUI);
	}

	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		int selectedRow = ((OperationMainPanel) getMainPanel()).getSelectedRow();
//		HRAggVO [] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getData();
		HRAggVO [] s = new HRAggVO[] {this.getSelection(mainMgrPanel)};
//		if (null !=s && s[selectedRow] != null){	
//			OperationMainVO headvo = (OperationMainVO) s[selectedRow].getParentVO();
		OperationMainVO headvo = (OperationMainVO) s[0].getParentVO();
			if (headvo.getBillstatus() != IBillStatus.FREE){
				throw new ValidationException("非自由态单据不可编辑");
			}
//		}
		super.execute();	
		OperationTestUI ui = (OperationTestUI)this.getFrameUI();
		ui.getBillCardPanel().setHeadItem(OperationMainVO.PK_CORP, PubEnv.getPk_corp());
		getDataModel().setRollBackState(getDataModel().getCurrentState());
        getDataModel().setCurrentState(StateRegister.STATE_EDIT);
        getMainPanel().setMainPanelEnabled(true);
	}
}
