package u8c.ui.mm.action;

import nc.bs.pub.billcodemanage.BillcodeGenerater;
import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.SaveAction;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.ui.hr.frame.state.StateRegister;
import nc.vo.OperationMainVO;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import u8c.ui.mm.panel.OperationMainPanel;
import u8c.ui.mm.panel.OperationTestUI;

public class OperationSaveAction extends SaveAction{
	OperationTestUI frameUI = null;
	
	public OperationSaveAction(FrameUI frameUI) {
		super(frameUI);
		this.frameUI = (OperationTestUI) frameUI;
	}

	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		int selectedRow = ((OperationMainPanel) getMainPanel()).getSelectedRow();
		HRAggVO s = (HRAggVO) mainMgrPanel.getMainBillCardPanel().getData();
		if(selectedRow==-1) {
			throw new ValidationException("请添加表体行");
		}
		
		if (null != s && s != null){
			OperationMainVO headvo = (OperationMainVO) s.getParentVO();
			String vbillcode = headvo.getVbillcode();
			if(vbillcode==null||vbillcode.equals("")) {
				vbillcode = new BillcodeGenerater().getBillCode("MM01", PubEnv.getPk_corp(), null, null);
				mainMgrPanel.getBillCardPanel().setHeadItem("vbillcode", vbillcode);
			}
		}
		super.execute();
		frameUI.getDataModel().setCurrentState(StateRegister.STATE_NOTEDIT); 
	
	}
}
