package u8c.ui.mm.action;

import nc.hr.frame.persistence.BaseDAOManager;
import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.AbstractAction;
import nc.ui.hr.frame.button.AbstractBtnReg;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.vo.OperationMainVO;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mm.datamodel.OperationDataModel;
import u8c.ui.mm.panel.OperationMainPanel;
import u8c.ui.mm.panel.OperationTestUI;

public class OperationUnApproveAction extends AbstractAction {
	OperationTestUI frameUI = null;
	BaseDAOManager dao = new BaseDAOManager();

	public OperationUnApproveAction(FrameUI frameUI) {
		super(frameUI);
		this.frameUI = (OperationTestUI) frameUI;
	}

	@Override
	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		int selectedRow = ((OperationMainPanel) getMainPanel()).getSelectedRow();
//		HRAggVO[] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getData();
		HRAggVO [] s = new HRAggVO[] {this.getSelection(mainMgrPanel)};
//		if (null != s && s[selectedRow] != null){
//			OperationMainVO headvo = (OperationMainVO) s[selectedRow].getParentVO();
		    OperationMainVO headvo = (OperationMainVO) s[0].getParentVO();
			if (headvo.getBillstatus() != IBillStatus.CHECKPASS){
				throw new ValidationException("非审批态单据不允许取消审批");
			}
			headvo.setBillstatus(IBillStatus.FREE);
			headvo.setChecker("");
//		}
		((OperationDataModel)this.frameUI.getDataModel()).execApprove(s[0]);
		boolean boo = this.frameUI.getBillCardPanel().isShowing();
		if(boo) {
			this.frameUI.getBillCardPanel().setBillValueVO(s[0]);
		}else {
			getFrameUI().getBtnManager().getCmdByID(AbstractBtnReg.SYSBTN_REFRESH).execute();
		}
	}
}
