package nc.ui.hr.frame.button;

import java.util.HashSet;
import nc.hr.utils.ResHelper;
import nc.vo.hr.frame.button.ButtonVO;

public abstract class AbstractBtnReg
{
  public static final int BTNMASK_SYSTEM = 0;
  public static final int BTNMASK_USER = 255;
  public static final int SYSBTN_ADD = 1;
  public static final int SYSBTN_ADD_LINE = 2;
  public static final int SYSBTN_BATCH_ADD = 3;
  public static final int SYSBTN_BATCH_DELETE = 59;
  public static final int SYSBTN_BATCH_EDIT = 4;
  public static final int SYSBTN_BROWSE = 5;
  public static final int SYSBTN_BUSINESS_OPERATION = 55;
  public static final int SYSBTN_CAL_ORDER = 57;
  public static final int SYSBTN_CALLBACK = 6;
  public static final int SYSBTN_CANCEL = 7;
  public static final int SYSBTN_CANCELEXAMINE = 8;
  public static final int SYSBTN_CANCELFREEZE = 9;
  public static final int SYSBTN_CANCELPUBLISH = 10;
  public static final int SYSBTN_CLEARUP = 60;
  public static final int SYSBTN_COMMIT = 12;
  public static final int SYSBTN_COPY = 13;
  public static final int SYSBTN_DEL_LINE = 14;
  public static final int SYSBTN_DELETE = 15;
  public static final int SYSBTN_DETAILS = 16;
  public static final int SYSBTN_DISP_ORDER = 58;
  public static final int SYSBTN_EDIT = 17;
  public static final int SYSBTN_EDIT_LINE = 18;
  public static final int SYSBTN_EXAMINE = 19;
  public static final int SYSBTN_EXAMINE_CHECK = 20;
  public static final int SYSBTN_EXAMINE_OPS = 52;
  public static final int SYSBTN_EXAMINE_REJECT = 21;
  public static final int SYSBTN_EXAMINE_SUGGESTION = 22;
  public static final int SYSBTN_EXECUTE = 46;
  public static final int SYSBTN_EXPORT = 23;
  public static final int SYSBTN_FREEZE = 24;
  public static final int SYSBTN_IMPORT = 25;
  public static final int SYSBTN_INSERT_LINE = 26;
  public static final int SYSBTN_LINE_OPS = 27;
  public static final int SYSBTN_ORDER = 28;
  public static final int SYSBTN_PASTE = 29;
  public static final int SYSBTN_PATCH_MANAGE = 30;
  public static final int SYSBTN_PREVIEW = 54;
  public static final int SYSBTN_PRINT = 31;
  public static final int SYSBTN_PRINTPREVIEW = 32;
  public static final int SYSBTN_PUBLISH = 33;
  public static final int SYSBTN_QUERY = 34;
  public static final int SYSBTN_RECORD_FIRST = 35;
  public static final int SYSBTN_RECORD_LAST = 36;
  public static final int SYSBTN_RECORD_NEXT = 37;
  public static final int SYSBTN_RECORD_PREV = 38;
  public static final int SYSBTN_REFRESH = 39;
  public static final int SYSBTN_RETURN = 40;
  public static final int SYSBTN_SAVE = 41;
  public static final int SYSBTN_SEAL = 42;
  public static final int SYSBTN_SEND_MESSAGE = 53;
  public static final int SYSBTN_SHARE = 50;
  public static final int SYSBTN_STAT = 44;
  public static final int SYSBTN_SUBOPERATION = 45;
  public static final int SYSBTN_UNSEAL = 11;
  public static final int SYSBTN_UNSHARE = 51;
  private HashSet<Integer> hashAllBtnID = new HashSet();
  public static final int ASSIST_FUNC = 61;
  public static final int USERBTN_PREVALIDATE = 62;
  public static final int USERBTN_EXPORTFAILDATAS = 63;
  public static final int SYSBTN_YS = 64;
  public static final int USERBTN_PUSHMATERIAL = 65;
  public static final int USERBTN_PUSHSCRK = 66;
  public static final int USERBTN_YS = 67;
  protected AbstractBtnReg()
  {
    getAllBtnID().add(Integer.valueOf(34));
    getAllBtnID().add(Integer.valueOf(41));
    getAllBtnID().add(Integer.valueOf(39));
    getAllBtnID().add(Integer.valueOf(31));
    getAllBtnID().add(Integer.valueOf(32));
    getAllBtnID().add(Integer.valueOf(1));
    getAllBtnID().add(Integer.valueOf(15));
    getAllBtnID().add(Integer.valueOf(17));
    getAllBtnID().add(Integer.valueOf(7));
    getAllBtnID().add(Integer.valueOf(40));
    getAllBtnID().add(Integer.valueOf(2));
    getAllBtnID().add(Integer.valueOf(14));
    getAllBtnID().add(Integer.valueOf(18));
    getAllBtnID().add(Integer.valueOf(55));

    getAllBtnID().add(Integer.valueOf(45));
    getAllBtnID().add(Integer.valueOf(26));
    getAllBtnID().add(Integer.valueOf(3));
    getAllBtnID().add(Integer.valueOf(4));
    getAllBtnID().add(Integer.valueOf(59));

    getAllBtnID().add(Integer.valueOf(12));
    getAllBtnID().add(Integer.valueOf(6));
    getAllBtnID().add(Integer.valueOf(19));
    getAllBtnID().add(Integer.valueOf(52));
    getAllBtnID().add(Integer.valueOf(20));
    getAllBtnID().add(Integer.valueOf(21));
    getAllBtnID().add(Integer.valueOf(8));
    getAllBtnID().add(Integer.valueOf(22));

    getAllBtnID().add(Integer.valueOf(5));
    getAllBtnID().add(Integer.valueOf(30));
    getAllBtnID().add(Integer.valueOf(25));
    getAllBtnID().add(Integer.valueOf(23));
    getAllBtnID().add(Integer.valueOf(42));
    getAllBtnID().add(Integer.valueOf(11));
    getAllBtnID().add(Integer.valueOf(24));
    getAllBtnID().add(Integer.valueOf(9));
    getAllBtnID().add(Integer.valueOf(33));
    getAllBtnID().add(Integer.valueOf(10));
    getAllBtnID().add(Integer.valueOf(16));
    getAllBtnID().add(Integer.valueOf(44));
    getAllBtnID().add(Integer.valueOf(13));
    getAllBtnID().add(Integer.valueOf(29));
    getAllBtnID().add(Integer.valueOf(28));
    getAllBtnID().add(Integer.valueOf(27));
    getAllBtnID().add(Integer.valueOf(46));

    getAllBtnID().add(Integer.valueOf(35));
    getAllBtnID().add(Integer.valueOf(36));
    getAllBtnID().add(Integer.valueOf(37));
    getAllBtnID().add(Integer.valueOf(38));

    getAllBtnID().add(Integer.valueOf(50));
    getAllBtnID().add(Integer.valueOf(51));
    getAllBtnID().add(Integer.valueOf(42));
    getAllBtnID().add(Integer.valueOf(11));

    getAllBtnID().add(Integer.valueOf(53));
    getAllBtnID().add(Integer.valueOf(54));

    getAllBtnID().add(Integer.valueOf(57));
    getAllBtnID().add(Integer.valueOf(58));
    getAllBtnID().add(Integer.valueOf(60));

    getAllBtnID().add(Integer.valueOf(63));
    getAllBtnID().add(Integer.valueOf(62));
    getAllBtnID().add(Integer.valueOf(64));
    
    getAllBtnID().add(Integer.valueOf(65));
    getAllBtnID().add(Integer.valueOf(66));
    getAllBtnID().add(Integer.valueOf(67));
   
  }

  public static AbstractBtnReg createInstance()
  {
    return new AbstractBtnReg()
    {
      public ButtonVO createUserBtnVOByID(int btnID)
      {
        return null;
      }
    };
  }

  public final ButtonVO createSysBtnVOByID(int btnID)
  {
    ButtonVO btnVO = new ButtonVO();

    btnVO.setBtnID(btnID);

    switch (btnID)
    {
    case 34:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000000"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000001"));
      btnVO.setBtnCode("查询");

      break;
    case 41:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000002"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000003"));
      btnVO.setBtnCode("保存");

      break;
    case 39:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000004"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000005"));
      btnVO.setBtnCode("刷新");

      break;
    case 31:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000006"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000007"));
      btnVO.setBtnCode("打印");

      break;
    case 32:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000008"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000009"));
      btnVO.setBtnCode("打印预览");

      break;
    case 1:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000010"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000011"));
      btnVO.setBtnCode("增加");

      break;
    case 15:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000012"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000013"));
      btnVO.setBtnCode("删除");

      break;
    case 17:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000014"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000015"));
      btnVO.setBtnCode("修改");

      break;
    case 7:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000110"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000111"));
      btnVO.setBtnCode("取消");

      break;
    case 40:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000016"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000017"));
      btnVO.setBtnCode("返回");

      break;
    case 2:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000018"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000019"));
      btnVO.setBtnCode("增行");

      break;
    case 18:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000020"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000021"));
      btnVO.setBtnCode("修改行");

      break;
    case 14:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000022"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000023"));
      btnVO.setBtnCode("删行");

      break;
    case 45:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000024"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000025"));
      btnVO.setBtnCode("子集操作");

      break;
    case 26:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000026"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000027"));
      btnVO.setBtnCode("插入行");

      break;
    case 3:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000028"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000029"));
      btnVO.setBtnCode("批量增加");

      break;
    case 4:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000030"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000031"));
      btnVO.setBtnCode("批量修改");

      break;
    case 59:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000243"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000244"));
      btnVO.setBtnCode("批量删除");
      break;
    case 12:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000032"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000033"));
      btnVO.setBtnCode("提交");

      break;
    case 6:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000034"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000035"));
      btnVO.setBtnCode("收回");

      break;
    case 19:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000036"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000037"));
      btnVO.setBtnCode("审批");

      break;
    case 52:
      btnVO.setBtnName(ResHelper.getString("nc_hr_pf", "UPPnc_hr_pf_000001"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_pf", "UPPnc_hr_pf_000001"));
      btnVO.setBtnCode("审批操作");

      break;
    case 20:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000038"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000039"));
      btnVO.setBtnCode("审核");

      break;
    case 21:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000040"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000041"));
      btnVO.setBtnCode("驳回");

      break;
    case 8:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000042"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000043"));
      btnVO.setBtnCode("弃审");

      break;
    case 22:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000044"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000044"));
      btnVO.setBtnCode("审批意见");

      break;
    case 5:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000045"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000046"));
      btnVO.setBtnCode("浏览");

      break;
    case 30:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000047"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000048"));
      btnVO.setBtnCode("附件");

      break;
    case 25:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000049"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000050"));
      btnVO.setBtnCode("导入");

      break;
    case 23:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000051"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000052"));
      btnVO.setBtnCode("导出");

      break;
    case 42:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000053"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000054"));
      btnVO.setBtnCode("封存");

      break;
    case 11:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000055"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000056"));
      btnVO.setBtnCode("解封");

      break;
    case 50:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000057"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000058"));
      btnVO.setBtnCode("共享");
      break;
    case 51:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000059"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000060"));
      btnVO.setBtnCode("取消共享");
      break;
    case 24:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000062"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000063"));
      btnVO.setBtnCode("冻结");

      break;
    case 9:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000064"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000065"));
      btnVO.setBtnCode("解冻");

      break;
    case 33:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000066"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000067"));
      btnVO.setBtnCode("发布");

      break;
    case 10:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000068"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000069"));
      btnVO.setBtnCode("取消发布");

      break;
    case 16:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000070"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000071"));
      btnVO.setBtnCode("明细");

      break;
    case 44:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000072"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000072"));
      btnVO.setBtnCode("汇总");

      break;
    case 13:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000073"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000074"));
      btnVO.setBtnCode("复制");

      break;
    case 29:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000075"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000076"));
      btnVO.setBtnCode("粘贴");

      break;
    case 28:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000077"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000078"));
      btnVO.setBtnCode("排序");

      break;
    case 27:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000079"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000079"));
      btnVO.setBtnCode("行操作");

      break;
    case 35:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000080"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000081"));
      btnVO.setBtnCode("首页");

      break;
    case 36:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000082"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000083"));
      btnVO.setBtnCode("末页");

      break;
    case 37:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000084"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000085"));
      btnVO.setBtnCode("下一页");

      break;
    case 38:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000086"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000087"));
      btnVO.setBtnCode("上一页");

      break;
    case 46:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000088"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000088"));
      btnVO.setBtnCode("执行");

      break;
    case 55:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000245"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000245"));
      btnVO.setBtnCode("业务操作");

      break;
    case 53:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000246"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000246"));
      btnVO.setBtnCode("发送通知");
      break;
    case 54:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000247"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000247"));
      btnVO.setBtnCode("预览");
      break;
    case 57:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000248"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000248"));
      btnVO.setBtnCode("计算顺序");
      break;
    case 58:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000249"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000249"));
      btnVO.setBtnCode("显示顺序");
      break;
    case 60:
      btnVO.setBtnName(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000251"));
      btnVO.setHintStr(ResHelper.getString("nc_hr_ui_frame", "UPPnc_hr_ui_frame-000252"));
      btnVO.setBtnCode("清除");
      break;
    case 61:
      btnVO.setBtnName(ResHelper.getString("600704", "UPP600704-100231"));
      btnVO.setHintStr(ResHelper.getString("600704", "UPP600704-100231"));
      btnVO.setBtnCode("辅助功能");
      break;
    case 63:
      btnVO.setBtnName(ResHelper.getString("600704", "导出失败数据"));
      btnVO.setHintStr(ResHelper.getString("600704", "导出失败数据"));
      btnVO.setBtnCode("导出失败数据");
      break;
    case 62:
      btnVO.setBtnName(ResHelper.getString("600704", "预检查"));
      btnVO.setHintStr(ResHelper.getString("600704", "预检查"));
      btnVO.setBtnCode("预检查");
      break;
    case 64:
      btnVO.setBtnName("MRO运算");
      btnVO.setHintStr("MRO运算");
      btnVO.setBtnCode("MRO运算");
      break;
    case 65:
      btnVO.setBtnName("生成材料出库");
      btnVO.setHintStr("生成材料出库");
      btnVO.setBtnCode("生成材料出库");
      break;
      
    case 66:
        btnVO.setBtnName("生成生产入库");
        btnVO.setHintStr("生成生产入库");
        btnVO.setBtnCode("生成生产入库");
        break;
        
    case 67:
        btnVO.setBtnName("运算");
        btnVO.setHintStr("运算");
        btnVO.setBtnCode("运算");
        break;
        
    case 43:
    case 47:
    case 48:
    case 49:
    case 56:
    default:
      btnVO = null;
    }
    
    btnVO.setChildBtnIDs(new int[] { 65,64 });
    

    return btnVO;
  }

  public abstract ButtonVO createUserBtnVOByID(int paramInt);

  protected HashSet<Integer> getAllBtnID()
  {
    return this.hashAllBtnID;
  }

  public boolean isContainBtnID(int btnID)
  {
    return getAllBtnID().contains(Integer.valueOf(btnID));
  }
}