package u8c.ui.mmpac.action;

import java.util.ArrayList;
import java.util.List;

import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.AbstractAction;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.CircularlyAccessibleValueObject;
import nc.vo.pub.ValidationException;
import nc.vo.pub.lang.UFDouble;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mmpac.panel.OrderMainPanel;
import u8c.vo.OrderInVO;
import u8c.vo.OrderIssueVO;
import u8c.vo.OrderMainVO;

public class PushProductAction extends AbstractAction{

	public PushProductAction(FrameUI frameUI1) {
		super(frameUI1);
	}

	@Override
	public void execute() throws Exception {
		
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		
		int selectedRow = ((OrderMainPanel) getMainPanel()).getSelectedRow();
		
		
//		HRAggVO [] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getData();
		HRAggVO s = (HRAggVO) mainMgrPanel.getMainBillCardPanel().getData();
		
//		if (null !=s && s[selectedRow] != null){
		if (null !=s ){		
			//OrderMainVO headvo = (OrderMainVO) s[selectedRow].getParentVO();
			OrderMainVO headvo = (OrderMainVO) s.getParentVO();
			int billstatus = headvo.getBillstatus();
			if(billstatus != IBillStatus.CHECKPASS) {
				throw new ValidationException("非审批态单据不允许生成产成品入库单!");
			}
			
//			String sqlpk=headvo.getPrimaryKey();
			
			List<OrderInVO> listOrderInVO = new ArrayList<OrderInVO>();
			CircularlyAccessibleValueObject[] vos = s.getAllChildrenVO();
			for (int i = 0; i < vos.length; i++) {
				if(vos[i] instanceof OrderInVO) {
					//本次执行数量不填就默认
					//执行完的表体在生单界面不展示
					OrderInVO invo = (OrderInVO) vos[i];
					UFDouble num = invo.getNum() == null ? new UFDouble(0) : invo.getNum();
					UFDouble execnum = invo.getExecnum() == null ? new UFDouble(0) : invo.getExecnum();
					if(num.sub(execnum).compareTo(UFDouble.ZERO_DBL)==0) {
						continue;
					}
					invo.setBdef5(num.sub(execnum).toString());
					listOrderInVO.add(invo);
				}
			}
			//弹框勾选数据
			TOProductOutDialog gxdlg = new TOProductOutDialog(listOrderInVO.toArray(new OrderInVO[listOrderInVO.size()]),headvo);
			gxdlg.show();
		}
	}

}
