package u8c.ui.mmpac.action;

import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.AbstractAction;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import u8c.ui.mmpac.panel.OrderMainPanel;
import u8c.ui.mmpac.panel.OrderTestUI;
import u8c.vo.OrderMainVO;

public class PushSaleOutAction extends AbstractAction {
	OrderTestUI frameUI = null;

	public PushSaleOutAction(FrameUI frameUI1) {
		super(frameUI1);
		this.frameUI = (OrderTestUI) frameUI;
	}

	@Override
	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		HRAggVO s = (HRAggVO) mainMgrPanel.getMainBillCardPanel().getData();
		if (null != s && s != null){
			OrderMainVO headvo = (OrderMainVO)s.getParentVO();
			int billstatus = headvo.getBillstatus();
			if(billstatus != 1) {
				throw new ValidationException("非审批态单据不允许生成销售出库单");
			}
			ToSaleOutDialog saleoutdlg = new ToSaleOutDialog(s);
			saleoutdlg.show();
		}
	}

}
