package u8c.ui.mytest.button;

import nc.ui.hr.frame.bill.manage.ManageBtnStateReg;
import nc.ui.hr.frame.button.AbstractBtnReg;
import nc.ui.hr.frame.state.StateRegister;
import nc.vo.hr.frame.button.ButtonStateVO;


public class MyBtnStateReg extends ManageBtnStateReg {

	public MyBtnStateReg(StateRegister stRgst) {
		super(stRgst);
	}
	
	protected void addUserButtonStateVO() {
		super.addUserButtonStateVO();
		
		// 初始
        ButtonStateVO btnStateVO = new ButtonStateVO();
        btnStateVO.setStateID(StateRegister.STATE_INIT);
        btnStateVO.setEnableBtnIDs(new int[]{AbstractBtnReg.SYSBTN_QUERY, AbstractBtnReg.SYSBTN_ADD, AbstractBtnReg.SYSBTN_REFRESH,
        		AbstractBtnReg.SYSBTN_IMPORT,AbstractBtnReg.SYSBTN_EXPORT,AbstractBtnReg.USERBTN_boExportImport});
        btnStateVO.setVisibleBtnIDs(new int[]{AbstractBtnReg.SYSBTN_EDIT, AbstractBtnReg.SYSBTN_DELETE, AbstractBtnReg.SYSBTN_EXAMINE,AbstractBtnReg.SYSBTN_CANCELEXAMINE});
        addStateVO(btnStateVO.getStateID(), btnStateVO);
        
		// 表头行选择--列表
        btnStateVO = new ButtonStateVO();
        btnStateVO.setStateID(StateRegister.STATE_LINE_SELECTED);
        btnStateVO.setEnableBtnIDs(new int[]{AbstractBtnReg.SYSBTN_EXAMINE_OPS,AbstractBtnReg.SYSBTN_QUERY, AbstractBtnReg.SYSBTN_ADD, 
        		AbstractBtnReg.SYSBTN_EDIT, AbstractBtnReg.SYSBTN_DELETE,AbstractBtnReg.SYSBTN_EXAMINE,AbstractBtnReg.SYSBTN_CANCELEXAMINE,AbstractBtnReg.USERBTN_boExportImport,AbstractBtnReg.SYSBTN_IMPORT,AbstractBtnReg.SYSBTN_EXPORT,AbstractBtnReg.USERBTN_PUSHOTHEROUT,AbstractBtnReg.USERBTN_PUSHOTHERIN});
        btnStateVO.setVisibleBtnIDs(new int[]{});
        btnStateVO.setInvisiableBtnIDs(new int[]{AbstractBtnReg.USERBTN_ADDPRAYBILL});
        addStateVO(btnStateVO.getStateID(), btnStateVO);
        
        // 浏览--卡片
        btnStateVO = new ButtonStateVO();
        btnStateVO.setStateID(StateRegister.STATE_NOTEDIT);
        btnStateVO.setEnableBtnIDs(new int[]{AbstractBtnReg.SYSBTN_ADD, AbstractBtnReg.SYSBTN_EDIT, AbstractBtnReg.SYSBTN_DELETE,
            AbstractBtnReg.SYSBTN_RETURN,AbstractBtnReg.SYSBTN_EXAMINE,AbstractBtnReg.SYSBTN_CANCELEXAMINE,AbstractBtnReg.SYSBTN_IMPORT,
            AbstractBtnReg.SYSBTN_EXPORT,AbstractBtnReg.USERBTN_PUSHMATERIAL,
            AbstractBtnReg.USERBTN_PUSHPRODUCT,AbstractBtnReg.USERBTN_boExportImport,AbstractBtnReg.USERBTN_ADDPRAYBILL,AbstractBtnReg.USERBTN_PUSHOTHEROUT,AbstractBtnReg.USERBTN_PUSHOTHERIN,
            AbstractBtnReg.USERBTN_GENOUTIN,AbstractBtnReg.USERBTN_PUSHSALEOUT});
        btnStateVO.setVisibleBtnIDs(new int[]{AbstractBtnReg.SYSBTN_EXAMINE_OPS,AbstractBtnReg.SYSBTN_QUERY, AbstractBtnReg.SYSBTN_REFRESH});
        addStateVO(btnStateVO.getStateID(), btnStateVO);
        
    
        //取消
        btnStateVO = new ButtonStateVO();
        btnStateVO.setStateID(StateRegister.STATE_CANCEL);
        btnStateVO.setEnableBtnIDs(new int[]{AbstractBtnReg.SYSBTN_ADD, AbstractBtnReg.SYSBTN_EDIT, AbstractBtnReg.SYSBTN_DELETE,
                AbstractBtnReg.SYSBTN_RETURN,AbstractBtnReg.SYSBTN_EXAMINE,AbstractBtnReg.SYSBTN_CANCELEXAMINE,AbstractBtnReg.SYSBTN_IMPORT,
                AbstractBtnReg.SYSBTN_EXPORT,AbstractBtnReg.USERBTN_PUSHMATERIAL,
                AbstractBtnReg.USERBTN_PUSHPRODUCT,AbstractBtnReg.USERBTN_boExportImport,AbstractBtnReg.USERBTN_ADDPRAYBILL,AbstractBtnReg.USERBTN_PUSHOTHEROUT,AbstractBtnReg.USERBTN_PUSHOTHERIN,
                AbstractBtnReg.USERBTN_GENOUTIN,AbstractBtnReg.USERBTN_PUSHSALEOUT});
            btnStateVO.setVisibleBtnIDs(new int[]{AbstractBtnReg.SYSBTN_EXAMINE_OPS,AbstractBtnReg.SYSBTN_QUERY, AbstractBtnReg.SYSBTN_REFRESH});
            addStateVO(btnStateVO.getStateID(), btnStateVO);
	}

}
