package u8c.bs.mmpac.bp;

import nc.bs.pub.billcodemanage.BillcodeGenerater;
import nc.hr.utils.PubEnv;
import nc.vo.pub.BusinessException;
import nc.vo.trade.pub.IBillStatus;
import u8c.pubitf.rule.IRule;
import u8c.vo.ExAggOrderMainVO;
import u8c.vo.OrderMainVO;

/**
 * 默认值设置
 * @author 
 *
 */
public class DefaultValueRule implements IRule<ExAggOrderMainVO>{

	@Override
	public void process(ExAggOrderMainVO[] vos) throws BusinessException {
		for(int i = 0; i < vos.length; i++) {
			OrderMainVO headVO = (OrderMainVO) vos[i].getParentVO();
			//单据状态编写中
			headVO.setBillstatus(IBillStatus.FREE);
			//单据号
			headVO.setVbillno(new BillcodeGenerater().getBillCode("55A2",headVO.getPk_corp(), null, null));
			//制单日期
			headVO.setDbilldate(PubEnv.getLoginDate());
			//制单人
			headVO.setPk_proposer(PubEnv.getPk_user());
		}
	}

}
