package u8c.ui.mytest.action;

import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.DeleteAction;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mytest.panel.DemandMainPanel;
import u8c.vo.DemandVO;


public class DemandDeleteAction extends DeleteAction{

	public DemandDeleteAction(FrameUI frameUI) {
		super(frameUI);
	}
	
	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		
//		int selectedRow = ((DemandMainPanel) getMainPanel()).getSelectedRow();
//		
//		HRAggVO [] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getData();
//		
//		if (null != s && s[selectedRow] != null){
//			DemandVO cta = (DemandVO) s[selectedRow].getParentVO();
//			if (cta.getBillstatus()!=IBillStatus.FREE){
//				throw new ValidationException("非编写状态不能删除。");
//		    }
//		}
		HRAggVO [] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getDeleteData();
		if(s != null) {
			for (int i = 0; i < s.length; i++) {
				DemandVO cta = (DemandVO) s[i].getParentVO();
				if (cta.getBillstatus()!=IBillStatus.FREE){
					throw new ValidationException("非编写状态不能删除。");
			    }
			}
		}
		
		
		super.execute();
	}
	
}
