package u8c.ui.mytest.datamodel;

import nc.bs.framework.common.NCLocator;
import nc.ui.hr.frame.bill.manage.ManageDataModel;
import nc.ui.hr.frame.persistence.PersitenceDelegator;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.BusinessException;
import u8c.itf.po.IDemandInfo;
import u8c.vo.DemandBVO;
import u8c.vo.DemandVO;

public class DemandDataModel extends ManageDataModel{
	
	public DemandDataModel(){
		super();
		
		// ͷϢ
		setHeadPk(new DemandVO().getPKFieldName()); // ñͷֶ
		setHeadVOClass(DemandVO.class); // ñͷ
		// Ϣ
		this.setBodyVOClassArray(new Class[] {DemandBVO.class});
		this.setBodyTableNames(new String[] {new DemandBVO().getTableName()});
		this.setBodyTableCodeArray(new String[] { new DemandBVO().getTableName()});
		this.setBodyPkArray(new String[] {DemandBVO.PK_DEMAND_B});
		this.setBodyFkArray(new String[] {DemandBVO.PK_DEMAND});
	}
	
	@Override
	public String getBillTempletBusiType() {
		return null;
	}

	@Override
	public String getBillTempletCode() { 
		return "A2A3";
	}

	@Override
	public String getNormalQueryTemplateCode() {
		return null;
	}

	public boolean UpdateStatus(HRAggVO aggvo,int status) throws BusinessException{
		return getIDemandInfo().UpdateStatus(aggvo,status);
	}
	
	public boolean execApprove(HRAggVO aggvo) throws BusinessException{
		return getIDemandInfo().execApprove(aggvo);
	}
	
	
	static IDemandInfo ipti = null;
	
	public static IDemandInfo getIDemandInfo() {
		if (ipti == null) {
			ipti = (IDemandInfo) NCLocator.getInstance().lookup(IDemandInfo.class);
		}
		return ipti;
	}
	
	public Object onSave(Object data, String checkClassMethodName, String lockClassName) throws Exception
    {
        if (data instanceof HRAggVO)
        {
            return PersitenceDelegator.saveAggVO((HRAggVO) data, checkClassMethodName, lockClassName);
        }
        else if (data instanceof HRAggVO[])
        {
            return PersitenceDelegator.saveAggVOArray((HRAggVO[]) data, checkClassMethodName, lockClassName);
        }
        
        return null;
    }

}
