package u8c.ui.mytest.panel;

import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.ui.hr.frame.state.StateRegister;
import nc.ui.pub.beans.constenum.DefaultConstEnum;
import nc.ui.pub.beans.constenum.IConstEnum;
import nc.ui.pub.bill.BillEditEvent;
import nc.ui.pub.bill.BillItemEvent;
import nc.ui.pub.bill.IBillItem;
import nc.vo.hr.tools.pub.HRConstEnum;
import nc.vo.pub.lang.UFDouble;
import u8c.ui.mytest.datamodel.DemandDataModel;


public class DemandMainPanel extends MainBillMgrPanel{
	
public int selectedRow = -1;
	
	public DemandMainPanel(FrameUI frameUI, String strBillType2, String strBusiType2) {
		super(frameUI, strBillType2, strBusiType2);
		initComboBox();
	}
	
	public IConstEnum[] APPROVE_STATUS_APPLY2 = { 
			new DefaultConstEnum(Integer.valueOf(8), "编写中"),
			new DefaultConstEnum(Integer.valueOf(1), "已批准"),
			new DefaultConstEnum(Integer.valueOf(9), "已关闭")
		};

	protected void initComboBox(){ 
		
        initComboBox(IBillItem.HEAD, null, "billstatus",
        		APPROVE_STATUS_APPLY2, false);
	}
	
	public void bodyRowChange(BillEditEvent billEditEvent){
        if (billEditEvent == null){
            return;
        }
        selectedRow = billEditEvent.getRow();
        if (billEditEvent.getSource() == ((DemandMainPanel)(getParentUI().getMainPanel())).getBillCardPanel().getBillTable()){
            return;
        }
        DemandDataModel dataModel = (DemandDataModel) getParentUI().getDataModel();
        dataModel.setCurrentState(StateRegister.STATE_LINE_SELECTED, true);
	}
		
	public int getSelectedRow() {
		return selectedRow;
	}
	
	@Override
	public void afterEdit(BillEditEvent evt) { 
		super.afterEdit(evt);
	}
	
	@Override
	protected boolean beforeEdit(BillItemEvent evt) { 
		return super.beforeEdit(evt);
	}

	@Override
	public boolean beforeEdit(BillEditEvent evt) { 
		return super.beforeEdit(evt);
	}
	
}
