package u8c.ic.safetystock.panel;

import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.ui.hr.frame.state.StateRegister;
import nc.ui.pub.bill.BillEditEvent;
import nc.ui.pub.bill.BillItemEvent;
import u8c.ic.safetystock.datamodel.SafetystockDataModel;

public class SafetystockMainPenel extends MainBillMgrPanel{
	
	public int selectedRow = -1;

	public SafetystockMainPenel(FrameUI frameUI, String strBillType, String strBusiType) {
		super(frameUI, strBillType, strBusiType);
	}
	
	public void bodyRowChange(BillEditEvent billEditEvent){
        if (billEditEvent == null){
            return;
        }
        selectedRow = billEditEvent.getRow();
        if (billEditEvent.getSource() == ((SafetystockMainPenel)(getParentUI().getMainPanel())).getBillCardPanel().getBillTable()){
            return;
        }
        SafetystockDataModel dataModel = (SafetystockDataModel) getParentUI().getDataModel();
        dataModel.setCurrentState(StateRegister.STATE_LINE_SELECTED, true);
	}
		
	public int getSelectedRow() {
		return selectedRow;
	}
	
	@Override
	public void afterEdit(BillEditEvent evt) { // ͷ༭¼
		super.afterEdit(evt);
	}
	
	@Override
	protected boolean beforeEdit(BillItemEvent evt) { // ͷ༭ǰ¼
		return super.beforeEdit(evt);
	}

	@Override
	public boolean beforeEdit(BillEditEvent evt) { // ༭ǰ¼
		return super.beforeEdit(evt);
	}

}
