package u8c.impl;

import nc.vo.SafetystockVO;
import nc.vo.pub.BusinessException;
import u8c.bs.action.save.AbstractBatchSaveVOAction;
import u8c.bs.stock.bp.SafetystockImportInsetBP;

public class SafetystockImportInsertAction extends AbstractBatchSaveVOAction<SafetystockVO>{

	@Override
	protected String getBillMark() {
		return "IC01";
	}

	@Override
	protected SafetystockVO[] save(SafetystockVO[] vos) throws BusinessException {
		return new SafetystockImportInsetBP().save(vos);
	}


}
