package nc.vo;
	
import nc.vo.pub.*;
import nc.vo.pub.lang.*;
	
/**
 * <b> 在此处简要描述此类的功能 </b>
 * <p>
 *     在此处添加此类的描述信息
 * </p>
 * 创建日期:2023-10-20 16:00:43
 * @author Administrator
 * @version NCPrj 1.0
 */
@SuppressWarnings("serial")
public class DemandUAPBVO extends SuperVO {
	private String demanddate;
	private String pk_demand_b; // 子表主键
	private String pk_demand; // 主表主键
	private String prjcode; // 项目编码
	private String prjname; // 项目名称
	private String prjtypecode; // 项目分类编码
	private String prjtypename; // 项目分类名称
	private String vbatchcode; // 批次
	private String cmaterialcode; // 存货编码
	private String cmaterialname; // 存货名称
	private String spec; // 规格
	private String model; // 型号
	private String color; // 颜色
	private String sizing; // 定尺
	private String alloy; // 合金
	private String standard; // 标准
	private String weight; // 米重
	private String round; // 装饰面周长
	private String config; // 配置
	private String width; // 宽度
	private String height; // 高度
	private String unitid; // 计量单位
	private UFDouble num; // 主数量
	private UFDouble taxprice; // 含税单价
	private UFDouble taxmny; // 价税合计
	private UFDouble nmny; // 无税金额
	private UFDouble tax; // 税额
	private UFDouble nprice; // 无税单价
	private String castunitid; // 辅助计量单位
	private String nastnum; // 辅数量
	private String execnum; // 已执行主数量
	private String execnastnum; // 已执行辅数量
	private UFDateTime ts; // 时间戳
	private Integer dr; // 删除标志
	private String vdef1;
	private String vdef2;
	private String vdef3;
	private String vdef4;
	private String vdef5;
	private String vdef6;
	private String vdef7;
	private String vdef8;
	private String vdef9;
	private String vdef10;
	private String vdef11;
	private String vdef12;
	private String vdef13;
	private String vdef14;
	private String vdef15;
	private String vdef16;
	private String vdef17;
	private String vdef18;
	private String vdef19;
	private String vdef20;
	private String vdef21;
	private String vdef22;
	private String vdef23;
	private String vdef24;
	private String vdef25;
	private String vdef26;
	private String vdef27;
	private String vdef28;
	private String vdef29;
	private String vdef30;
	public static final String DEMANDDATE = "demanddate";
	public static final String PRJTYPECODE = "prjtypecode";
	public static final String STANDARD = "standard";
	public static final String NUM = "num";
	public static final String CMATERIALNAME = "cmaterialname";
	public static final String EXECNUM = "execnum";
	public static final String SPEC = "spec";
	public static final String NPRICE = "nprice";
	public static final String TAXPRICE = "taxprice";
	public static final String MODEL = "model";
	public static final String HEIGHT = "height";
	public static final String VDEF10 = "vdef10";
	public static final String VDEF11 = "vdef11";
	public static final String WEIGHT = "weight";
	public static final String TAX = "tax";
	public static final String CASTUNITID = "castunitid";
	public static final String VDEF16 = "vdef16";
	public static final String PRJTYPENAME = "prjtypename";
	public static final String VDEF17 = "vdef17";
	public static final String VDEF18 = "vdef18";
	public static final String EXECNASTNUM = "execnastnum";
	public static final String VDEF19 = "vdef19";
	public static final String VDEF12 = "vdef12";
	public static final String VDEF13 = "vdef13";
	public static final String VDEF14 = "vdef14";
	public static final String VDEF15 = "vdef15";
	public static final String SIZING = "sizing";
	public static final String VDEF20 = "vdef20";
	public static final String ALLOY = "alloy";
	public static final String VDEF21 = "vdef21";
	public static final String VDEF22 = "vdef22";
	public static final String COLOR = "color";
	public static final String PK_DEMAND_B = "pk_demand_b";
	public static final String NASTNUM = "nastnum";
	public static final String PRJCODE = "prjcode";
	public static final String VDEF27 = "vdef27";
	public static final String VDEF28 = "vdef28";
	public static final String VDEF29 = "vdef29";
	public static final String VDEF23 = "vdef23";
	public static final String VDEF24 = "vdef24";
	public static final String VDEF25 = "vdef25";
	public static final String VDEF26 = "vdef26";
	public static final String VDEF30 = "vdef30";
	public static final String VDEF8 = "vdef8";
	public static final String VDEF7 = "vdef7";
	public static final String VDEF9 = "vdef9";
	public static final String VDEF4 = "vdef4";
	public static final String VDEF3 = "vdef3";
	public static final String PK_DEMAND = "pk_demand";
	public static final String VDEF6 = "vdef6";
	public static final String VDEF5 = "vdef5";
	public static final String TAXMNY = "taxmny";
	public static final String VDEF2 = "vdef2";
	public static final String CMATERIALCODE = "cmaterialcode";
	public static final String VDEF1 = "vdef1";
	public static final String ROUND = "round";
	public static final String PRJNAME = "prjname";
	public static final String VBATCHCODE = "vbatchcode";
	public static final String WIDTH = "width";
	public static final String NMNY = "nmny";
	public static final String UNITID = "unitid";
	public static final String CONFIG = "config";
	
	
	
	/**
	 * 属性demanddate的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getDemanddate() {
		return demanddate;
	}   
	/**
	 * 属性demanddate的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newdbilldate String
	 */
	public void setDemanddate(String newdemanddate ) {
	 	this.demanddate = newdemanddate;
	} 	  
			
	/**
	 * 属性prjtypecode的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getPrjtypecode () {
		return prjtypecode;
	}   
	/**
	 * 属性prjtypecode的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newPrjtypecode String
	 */
	public void setPrjtypecode (String newPrjtypecode ) {
	 	this.prjtypecode = newPrjtypecode;
	} 	  
	/**
	 * 属性standard的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getStandard () {
		return standard;
	}   
	/**
	 * 属性standard的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newStandard String
	 */
	public void setStandard (String newStandard ) {
	 	this.standard = newStandard;
	} 	  
	/**
	 * 属性num的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return UFDouble
	 */
	public UFDouble getNum () {
		return num;
	}   
	/**
	 * 属性num的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newNum UFDouble
	 */
	public void setNum (UFDouble newNum ) {
	 	this.num = newNum;
	} 	  
	/**
	 * 属性cmaterialname的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getCmaterialname () {
		return cmaterialname;
	}   
	/**
	 * 属性cmaterialname的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newCmaterialname String
	 */
	public void setCmaterialname (String newCmaterialname ) {
	 	this.cmaterialname = newCmaterialname;
	} 	  
	/**
	 * 属性execnum的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getExecnum () {
		return execnum;
	}   
	/**
	 * 属性execnum的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newExecnum String
	 */
	public void setExecnum (String newExecnum ) {
	 	this.execnum = newExecnum;
	} 	  
	/**
	 * 属性dr的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return Integer
	 */
	public Integer getDr () {
		return dr;
	}   
	/**
	 * 属性dr的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newDr Integer
	 */
	public void setDr (Integer newDr ) {
	 	this.dr = newDr;
	} 	  
	/**
	 * 属性spec的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getSpec () {
		return spec;
	}   
	/**
	 * 属性spec的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newSpec String
	 */
	public void setSpec (String newSpec ) {
	 	this.spec = newSpec;
	} 	  
	/**
	 * 属性nprice的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return UFDouble
	 */
	public UFDouble getNprice () {
		return nprice;
	}   
	/**
	 * 属性nprice的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newNprice UFDouble
	 */
	public void setNprice (UFDouble newNprice ) {
	 	this.nprice = newNprice;
	} 	  
	/**
	 * 属性taxprice的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return UFDouble
	 */
	public UFDouble getTaxprice () {
		return taxprice;
	}   
	/**
	 * 属性taxprice的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newTaxprice UFDouble
	 */
	public void setTaxprice (UFDouble newTaxprice ) {
	 	this.taxprice = newTaxprice;
	} 	  
	/**
	 * 属性model的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getModel () {
		return model;
	}   
	/**
	 * 属性model的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newModel String
	 */
	public void setModel (String newModel ) {
	 	this.model = newModel;
	} 	  
	/**
	 * 属性height的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getHeight () {
		return height;
	}   
	/**
	 * 属性height的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newHeight String
	 */
	public void setHeight (String newHeight ) {
	 	this.height = newHeight;
	} 	  
	/**
	 * 属性vdef10的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef10 () {
		return vdef10;
	}   
	/**
	 * 属性vdef10的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef10 String
	 */
	public void setVdef10 (String newVdef10 ) {
	 	this.vdef10 = newVdef10;
	} 	  
	/**
	 * 属性vdef11的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef11 () {
		return vdef11;
	}   
	/**
	 * 属性vdef11的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef11 String
	 */
	public void setVdef11 (String newVdef11 ) {
	 	this.vdef11 = newVdef11;
	} 	  
	/**
	 * 属性weight的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getWeight () {
		return weight;
	}   
	/**
	 * 属性weight的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newWeight String
	 */
	public void setWeight (String newWeight ) {
	 	this.weight = newWeight;
	} 	  
	/**
	 * 属性tax的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return UFDouble
	 */
	public UFDouble getTax () {
		return tax;
	}   
	/**
	 * 属性tax的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newTax UFDouble
	 */
	public void setTax (UFDouble newTax ) {
	 	this.tax = newTax;
	} 	  
	/**
	 * 属性castunitid的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getCastunitid () {
		return castunitid;
	}   
	/**
	 * 属性castunitid的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newCastunitid String
	 */
	public void setCastunitid (String newCastunitid ) {
	 	this.castunitid = newCastunitid;
	} 	  
	/**
	 * 属性vdef16的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef16 () {
		return vdef16;
	}   
	/**
	 * 属性vdef16的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef16 String
	 */
	public void setVdef16 (String newVdef16 ) {
	 	this.vdef16 = newVdef16;
	} 	  
	/**
	 * 属性prjtypename的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getPrjtypename () {
		return prjtypename;
	}   
	/**
	 * 属性prjtypename的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newPrjtypename String
	 */
	public void setPrjtypename (String newPrjtypename ) {
	 	this.prjtypename = newPrjtypename;
	} 	  
	/**
	 * 属性vdef17的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef17 () {
		return vdef17;
	}   
	/**
	 * 属性vdef17的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef17 String
	 */
	public void setVdef17 (String newVdef17 ) {
	 	this.vdef17 = newVdef17;
	} 	  
	/**
	 * 属性vdef18的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef18 () {
		return vdef18;
	}   
	/**
	 * 属性vdef18的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef18 String
	 */
	public void setVdef18 (String newVdef18 ) {
	 	this.vdef18 = newVdef18;
	} 	  
	/**
	 * 属性execnastnum的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getExecnastnum () {
		return execnastnum;
	}   
	/**
	 * 属性execnastnum的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newExecnastnum String
	 */
	public void setExecnastnum (String newExecnastnum ) {
	 	this.execnastnum = newExecnastnum;
	} 	  
	/**
	 * 属性vdef19的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef19 () {
		return vdef19;
	}   
	/**
	 * 属性vdef19的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef19 String
	 */
	public void setVdef19 (String newVdef19 ) {
	 	this.vdef19 = newVdef19;
	} 	  
	/**
	 * 属性vdef12的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef12 () {
		return vdef12;
	}   
	/**
	 * 属性vdef12的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef12 String
	 */
	public void setVdef12 (String newVdef12 ) {
	 	this.vdef12 = newVdef12;
	} 	  
	/**
	 * 属性vdef13的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef13 () {
		return vdef13;
	}   
	/**
	 * 属性vdef13的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef13 String
	 */
	public void setVdef13 (String newVdef13 ) {
	 	this.vdef13 = newVdef13;
	} 	  
	/**
	 * 属性vdef14的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef14 () {
		return vdef14;
	}   
	/**
	 * 属性vdef14的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef14 String
	 */
	public void setVdef14 (String newVdef14 ) {
	 	this.vdef14 = newVdef14;
	} 	  
	/**
	 * 属性vdef15的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef15 () {
		return vdef15;
	}   
	/**
	 * 属性vdef15的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef15 String
	 */
	public void setVdef15 (String newVdef15 ) {
	 	this.vdef15 = newVdef15;
	} 	  
	/**
	 * 属性sizing的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getSizing () {
		return sizing;
	}   
	/**
	 * 属性sizing的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newSizing String
	 */
	public void setSizing (String newSizing ) {
	 	this.sizing = newSizing;
	} 	  
	/**
	 * 属性vdef20的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef20 () {
		return vdef20;
	}   
	/**
	 * 属性vdef20的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef20 String
	 */
	public void setVdef20 (String newVdef20 ) {
	 	this.vdef20 = newVdef20;
	} 	  
	/**
	 * 属性alloy的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getAlloy () {
		return alloy;
	}   
	/**
	 * 属性alloy的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newAlloy String
	 */
	public void setAlloy (String newAlloy ) {
	 	this.alloy = newAlloy;
	} 	  
	/**
	 * 属性vdef21的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef21 () {
		return vdef21;
	}   
	/**
	 * 属性vdef21的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef21 String
	 */
	public void setVdef21 (String newVdef21 ) {
	 	this.vdef21 = newVdef21;
	} 	  
	/**
	 * 属性vdef22的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef22 () {
		return vdef22;
	}   
	/**
	 * 属性vdef22的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef22 String
	 */
	public void setVdef22 (String newVdef22 ) {
	 	this.vdef22 = newVdef22;
	} 	  
	/**
	 * 属性color的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getColor () {
		return color;
	}   
	/**
	 * 属性color的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newColor String
	 */
	public void setColor (String newColor ) {
	 	this.color = newColor;
	} 	  
	/**
	 * 属性pk_demand_b的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getPk_demand_b () {
		return pk_demand_b;
	}   
	/**
	 * 属性pk_demand_b的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newPk_demand_b String
	 */
	public void setPk_demand_b (String newPk_demand_b ) {
	 	this.pk_demand_b = newPk_demand_b;
	} 	  
	/**
	 * 属性nastnum的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getNastnum () {
		return nastnum;
	}   
	/**
	 * 属性nastnum的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newNastnum String
	 */
	public void setNastnum (String newNastnum ) {
	 	this.nastnum = newNastnum;
	} 	  
	/**
	 * 属性prjcode的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getPrjcode () {
		return prjcode;
	}   
	/**
	 * 属性prjcode的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newPrjcode String
	 */
	public void setPrjcode (String newPrjcode ) {
	 	this.prjcode = newPrjcode;
	} 	  
	/**
	 * 属性vdef27的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef27 () {
		return vdef27;
	}   
	/**
	 * 属性vdef27的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef27 String
	 */
	public void setVdef27 (String newVdef27 ) {
	 	this.vdef27 = newVdef27;
	} 	  
	/**
	 * 属性vdef28的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef28 () {
		return vdef28;
	}   
	/**
	 * 属性vdef28的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef28 String
	 */
	public void setVdef28 (String newVdef28 ) {
	 	this.vdef28 = newVdef28;
	} 	  
	/**
	 * 属性vdef29的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef29 () {
		return vdef29;
	}   
	/**
	 * 属性vdef29的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef29 String
	 */
	public void setVdef29 (String newVdef29 ) {
	 	this.vdef29 = newVdef29;
	} 	  
	/**
	 * 属性vdef23的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef23 () {
		return vdef23;
	}   
	/**
	 * 属性vdef23的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef23 String
	 */
	public void setVdef23 (String newVdef23 ) {
	 	this.vdef23 = newVdef23;
	} 	  
	/**
	 * 属性vdef24的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef24 () {
		return vdef24;
	}   
	/**
	 * 属性vdef24的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef24 String
	 */
	public void setVdef24 (String newVdef24 ) {
	 	this.vdef24 = newVdef24;
	} 	  
	/**
	 * 属性vdef25的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef25 () {
		return vdef25;
	}   
	/**
	 * 属性vdef25的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef25 String
	 */
	public void setVdef25 (String newVdef25 ) {
	 	this.vdef25 = newVdef25;
	} 	  
	/**
	 * 属性vdef26的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef26 () {
		return vdef26;
	}   
	/**
	 * 属性vdef26的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef26 String
	 */
	public void setVdef26 (String newVdef26 ) {
	 	this.vdef26 = newVdef26;
	} 	  
	/**
	 * 属性vdef30的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef30 () {
		return vdef30;
	}   
	/**
	 * 属性vdef30的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef30 String
	 */
	public void setVdef30 (String newVdef30 ) {
	 	this.vdef30 = newVdef30;
	} 	  
	/**
	 * 属性vdef8的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef8 () {
		return vdef8;
	}   
	/**
	 * 属性vdef8的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef8 String
	 */
	public void setVdef8 (String newVdef8 ) {
	 	this.vdef8 = newVdef8;
	} 	  
	/**
	 * 属性vdef7的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef7 () {
		return vdef7;
	}   
	/**
	 * 属性vdef7的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef7 String
	 */
	public void setVdef7 (String newVdef7 ) {
	 	this.vdef7 = newVdef7;
	} 	  
	/**
	 * 属性vdef9的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef9 () {
		return vdef9;
	}   
	/**
	 * 属性vdef9的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef9 String
	 */
	public void setVdef9 (String newVdef9 ) {
	 	this.vdef9 = newVdef9;
	} 	  
	/**
	 * 属性vdef4的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef4 () {
		return vdef4;
	}   
	/**
	 * 属性vdef4的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef4 String
	 */
	public void setVdef4 (String newVdef4 ) {
	 	this.vdef4 = newVdef4;
	} 	  
	/**
	 * 属性vdef3的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef3 () {
		return vdef3;
	}   
	/**
	 * 属性vdef3的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef3 String
	 */
	public void setVdef3 (String newVdef3 ) {
	 	this.vdef3 = newVdef3;
	} 	  
	/**
	 * 属性pk_demand的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getPk_demand () {
		return pk_demand;
	}   
	/**
	 * 属性pk_demand的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newPk_demand String
	 */
	public void setPk_demand (String newPk_demand ) {
	 	this.pk_demand = newPk_demand;
	} 	  
	/**
	 * 属性vdef6的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef6 () {
		return vdef6;
	}   
	/**
	 * 属性vdef6的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef6 String
	 */
	public void setVdef6 (String newVdef6 ) {
	 	this.vdef6 = newVdef6;
	} 	  
	/**
	 * 属性vdef5的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef5 () {
		return vdef5;
	}   
	/**
	 * 属性vdef5的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef5 String
	 */
	public void setVdef5 (String newVdef5 ) {
	 	this.vdef5 = newVdef5;
	} 	  
	/**
	 * 属性taxmny的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return UFDouble
	 */
	public UFDouble getTaxmny () {
		return taxmny;
	}   
	/**
	 * 属性taxmny的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newTaxmny UFDouble
	 */
	public void setTaxmny (UFDouble newTaxmny ) {
	 	this.taxmny = newTaxmny;
	} 	  
	/**
	 * 属性vdef2的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef2 () {
		return vdef2;
	}   
	/**
	 * 属性vdef2的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef2 String
	 */
	public void setVdef2 (String newVdef2 ) {
	 	this.vdef2 = newVdef2;
	} 	  
	/**
	 * 属性cmaterialcode的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getCmaterialcode () {
		return cmaterialcode;
	}   
	/**
	 * 属性cmaterialcode的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newCmaterialcode String
	 */
	public void setCmaterialcode (String newCmaterialcode ) {
	 	this.cmaterialcode = newCmaterialcode;
	} 	  
	/**
	 * 属性vdef1的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVdef1 () {
		return vdef1;
	}   
	/**
	 * 属性vdef1的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVdef1 String
	 */
	public void setVdef1 (String newVdef1 ) {
	 	this.vdef1 = newVdef1;
	} 	  
	/**
	 * 属性round的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getRound () {
		return round;
	}   
	/**
	 * 属性round的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newRound String
	 */
	public void setRound (String newRound ) {
	 	this.round = newRound;
	} 	  
	/**
	 * 属性prjname的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getPrjname () {
		return prjname;
	}   
	/**
	 * 属性prjname的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newPrjname String
	 */
	public void setPrjname (String newPrjname ) {
	 	this.prjname = newPrjname;
	} 	  
	/**
	 * 属性vbatchcode的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getVbatchcode () {
		return vbatchcode;
	}   
	/**
	 * 属性vbatchcode的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newVbatchcode String
	 */
	public void setVbatchcode (String newVbatchcode ) {
	 	this.vbatchcode = newVbatchcode;
	} 	  
	/**
	 * 属性width的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getWidth () {
		return width;
	}   
	/**
	 * 属性width的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newWidth String
	 */
	public void setWidth (String newWidth ) {
	 	this.width = newWidth;
	} 	  
	/**
	 * 属性nmny的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return UFDouble
	 */
	public UFDouble getNmny () {
		return nmny;
	}   
	/**
	 * 属性nmny的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newNmny UFDouble
	 */
	public void setNmny (UFDouble newNmny ) {
	 	this.nmny = newNmny;
	} 	  
	/**
	 * 属性unitid的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getUnitid () {
		return unitid;
	}   
	/**
	 * 属性unitid的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newUnitid String
	 */
	public void setUnitid (String newUnitid ) {
	 	this.unitid = newUnitid;
	} 	  
	/**
	 * 属性config的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return String
	 */
	public String getConfig () {
		return config;
	}   
	/**
	 * 属性config的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newConfig String
	 */
	public void setConfig (String newConfig ) {
	 	this.config = newConfig;
	} 	  
	/**
	 * 属性ts的Getter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @return UFDateTime
	 */
	public UFDateTime getTs () {
		return ts;
	}   
	/**
	 * 属性ts的Setter方法.
	 * 创建日期:2023-10-20 16:00:43
	 * @param newTs UFDateTime
	 */
	public void setTs (UFDateTime newTs ) {
	 	this.ts = newTs;
	} 	  
 
	/**
	  * <p>取得父VO主键字段.
	  * <p>
	  * 创建日期:2023-10-20 16:00:43
	  * @return java.lang.String
	  */
	public java.lang.String getParentPKFieldName() {
		return "pk_demand";
	}   
    
	/**
	  * <p>取得表主键.
	  * <p>
	  * 创建日期:2023-10-20 16:00:43
	  * @return java.lang.String
	  */
	public java.lang.String getPKFieldName() {
	  return "pk_demand_b";
	}
    
	/**
	 * <p>返回表名称.
	 * <p>
	 * 创建日期:2023-10-20 16:00:43
	 * @return java.lang.String
	 */
	public java.lang.String getTableName() {
		return "po_demand_b";
	}    
    
    /**
	  * 按照默认方式创建构造子.
	  *
	  * 创建日期:2023-10-20 16:00:43
	  */
     public DemandUAPBVO() {
		super();	
	}    
} 
