package u8c.ui.mmpac.action;

import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.AddAction;
import u8c.ui.mmpac.panel.OrderTestUI;
import u8c.vo.OrderMainVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;


public class OrderAddAction extends AddAction{
	OrderTestUI frameUI = null;
	
	public OrderAddAction(FrameUI frameUI) {
		super(frameUI);
		this.frameUI = (OrderTestUI) frameUI;
	}

	public boolean validate() throws ValidationException { 
		return super.validate();
	}
	
	public void execute() throws Exception{
		super.execute();
		
		OrderTestUI ui = (OrderTestUI) this.getFrameUI();
		
		ui.getBillCardPanel().setHeadItem(OrderMainVO.PK_CORP, PubEnv.getPk_corp()); 
		ui.getBillCardPanel().setHeadItem(OrderMainVO.BILLSTATUS, IBillStatus.FREE); 
		ui.getBillCardPanel().setHeadItem(OrderMainVO.PK_PROPOSER, PubEnv.getPk_user());
	}
}
