package u8c.ui.mmpac.action;

import nc.bs.framework.common.InvocationInfoProxy;
import nc.hr.frame.persistence.BaseDAOManager;
import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.AbstractAction;
import nc.ui.hr.frame.button.AbstractBtnReg;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.ui.hr.frame.state.StateRegister;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mmpac.panel.OrderTestUI;
import u8c.vo.OrderMainVO;
import u8c.ui.mmpac.datamodel.OrderDataModel;
import u8c.ui.mmpac.panel.OrderMainPanel;
import u8c.ui.mmpac.panel.OrderTestUI;

public class OrderApproveAction extends AbstractAction{
	OrderTestUI frameUI = null;
	BaseDAOManager dao = new BaseDAOManager();

	public OrderApproveAction(FrameUI frameUI) {
		super(frameUI);
		this.frameUI = (OrderTestUI) frameUI;
	}

	@Override
	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		//int selectedRow = ((OrderMainPanel) getMainPanel()).getSelectedRow();
		//HRAggVO [] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getData();
		HRAggVO [] s = new HRAggVO[] {this.getSelection(mainMgrPanel)};
		//if (null != s && s[selectedRow] != null){
			//OrderMainVO headvo = (OrderMainVO) s[selectedRow].getParentVO();
			OrderMainVO headvo = (OrderMainVO) s[0].getParentVO();
			if (headvo.getBillstatus() != IBillStatus.FREE){
				throw new ValidationException("非自由态单据不允许审批");
			}
			headvo.setBillstatus(IBillStatus.CHECKPASS);
			headvo.setPk_approver(PubEnv.getPk_user());
		//}
		//((OrderDataModel)this.frameUI.getDataModel()).execApprove(s[selectedRow]);
		((OrderDataModel)this.frameUI.getDataModel()).execApprove(s[0]);
		boolean boo = this.frameUI.getBillCardPanel().isShowing();
		if(boo) {
			this.frameUI.getBillCardPanel().setBillValueVO(s[0]);
		}else {
			getFrameUI().getBtnManager().getCmdByID(AbstractBtnReg.SYSBTN_REFRESH).execute();
		}
	}
}
