package u8c.ui.mmpac.action;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import nc.bs.framework.common.NCLocator;
import nc.bs.pub.billcodemanage.BillcodeGenerater;
import nc.hr.utils.PubEnv;
import nc.itf.uap.IUAPQueryBS;
import nc.itf.uap.IVOPersistence;
import nc.jdbc.framework.processor.BeanListProcessor;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.SaveAction;
import nc.ui.hr.frame.button.AbstractBtnReg;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.ui.hr.frame.state.StateRegister;
import nc.ui.uapde.dialog.MessageDialog;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.BusinessException;
import nc.vo.pub.CircularlyAccessibleValueObject;
import nc.vo.pub.ValidationException;
import nc.vo.pub.lang.UFBoolean;
import u8c.ui.mmpac.panel.OrderMainPanel;
import u8c.ui.mmpac.panel.OrderTestUI;
import u8c.vo.OrderIssueVO;
import u8c.vo.OrderMainVO;
import u8c.vo.OrderOtherinVO;
import u8c.vo.OrderOtheroutVO;

public class OrderSaveAction extends SaveAction{
	OrderTestUI frameUI = null;
	public IVOPersistence ivo = NCLocator.getInstance().lookup(IVOPersistence.class);
	public String vbillno="";
	
	public OrderSaveAction(FrameUI frameUI) {
		super(frameUI);
		this.frameUI = (OrderTestUI) frameUI;
	}

	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		int selectedRow = ((OrderMainPanel) getMainPanel()).getSelectedRow();
		HRAggVO s = (HRAggVO) mainMgrPanel.getMainBillCardPanel().getData();
		if(selectedRow==-1) {
			throw new ValidationException("请添加表体行");
		}
		
		if (null != s ){
			OrderMainVO headvo = (OrderMainVO) s.getParentVO();
			vbillno = headvo.getVbillno();
			if(vbillno==null||vbillno.equals("")) {
				vbillno = new BillcodeGenerater().getBillCode("55A2", PubEnv.getPk_corp(), null, null);
				mainMgrPanel.getBillCardPanel().setHeadItem("vbillno", vbillno);
				mainMgrPanel.getBillCardPanel().setHeadItem("dr", 0);
			}
		}
		
		super.execute();
		frameUI.getDataModel().setCurrentState(StateRegister.STATE_NOTEDIT); 
	}
}
