package u8c.ui.mmpac.action;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Vector;
import nc.vo.pubapp.pattern.pub.SqlBuilder;
import javax.swing.BorderFactory;
import javax.swing.JSplitPane;
import javax.swing.border.BevelBorder;

import nc.bs.dao.BaseDAO;
import nc.ui.pub.beans.UIPanel;
import nc.bs.framework.common.NCLocator;
import nc.hr.utils.PubEnv;
import nc.itf.uap.IUAPQueryBS;
import nc.jdbc.framework.processor.BeanListProcessor;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.beans.MessageDialog;
import nc.ui.pub.beans.UIButton;
import nc.ui.pub.beans.UIDialog;
import nc.ui.pub.beans.UISplitPane;
import nc.ui.pub.bill.BillCardPanel;
import nc.ui.pub.bill.BillEditEvent;
import nc.ui.pub.bill.BillEditListener;
import nc.ui.querytemplate.QueryConditionDLG;
import nc.vo.bd.invdoc.InvbasdocVO;
import nc.vo.bd.invdoc.InvmandocVO;
import nc.vo.ic.pub.bill.GeneralBillHeaderVO;
import nc.vo.ic.pub.bill.GeneralBillItemVO;
import nc.vo.ic.pub.bill.GeneralBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDate;
import nc.vo.pub.lang.UFDouble;
import nc.vo.querytemplate.TemplateInfo;
import u8c.bs.servlet.service.GetBaseDAOUtil;
import u8c.itf.mmpac.mmpac.IOrderTotalInfo;
import u8c.pubitf.ic.in.IProductInMaintainAPI;
import u8c.vo.OrderInVO;
import u8c.vo.OrderMainVO;
import java.awt.Color;

@SuppressWarnings("deprecation")
public class TOProductOutDialog extends UIDialog implements ActionListener,BillEditListener{
	/**
	 * 弹框勾选推单生成下游单据-产成品入库
	 */
	private static final long serialVersionUID = -2605551888165671265L;
	private int focus=1;
	private UIPanel ivjUIPanel0 = null;
	private UIPanel ivjUIPanel2 = null;
	private UISplitPane mainpanel = null;
	private BillCardPanel jlcardPanel = null;//卡面面板
	private UIPanel jlbtnpanel = null;//存放按钮的panel
	private UIButton selectallBtn= null ; //全选按钮
	private UIButton cancelallBtn= null ; //全消按钮
	private UIButton queryBtn= null ;//查询按钮 
	private UIButton saveCardBtn = null ; //保存
	private UIButton cancelBtn = null ; //取消
	private ClientEnvironment ce = ClientEnvironment.getInstance();
	private OrderMainVO headvo;
	private OrderInVO[] inArrays = null;
	private IOrderTotalInfo iorder = NCLocator.getInstance().lookup(IOrderTotalInfo.class);
//	public GxCLCDialog() {
//		super();
//		initialize();
//		
//	}
	
	public TOProductOutDialog(OrderInVO[] orderInVOs,OrderMainVO headvo) {
		super();
		this.headvo = headvo;
		initialize(orderInVOs);
		
	}
	
	
//	public void initialize(OrderInVO[] orderInVOs){
//		Dimension dimension = Toolkit.getDefaultToolkit().getScreenSize();
//		setName("clc");
//		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
//		setTitle("生产总订单-入库");
//		setSize(1000,360);
//		this.setResizable(true);
//		setLocation((dimension.width-550)/2, (dimension.height-300)/2);
//		setContentPane(getMainPanel());
//		addListenerEvent();
//		//展示数据
//		getJlcardPanel().getBillModel().setBodyDataVO(orderInVOs);
//		
//		
//	}
	
	public void initialize(OrderInVO[] orderInVOs){
		Dimension dimension = Toolkit.getDefaultToolkit().getScreenSize();
		setName("clc");
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		setTitle("生产总订单-入库");
//		setSize(1000,360);
		setSize(dimension.width-100,dimension.height-200);
		this.setResizable(true);
		add(getUIPanel0(), BorderLayout.NORTH);
		add(getUIPanel2(), BorderLayout.CENTER);
//		setLocation((dimension.width-550)/2, (dimension.height-300)/2);
		setLocation(100/2, 200/2);
		//setContentPane(getMainPanel());
		addListenerEvent();
		//展示数据
		inArrays=orderInVOs;
		getJlcardPanel().getBillModel().setBodyDataVO(orderInVOs);
	}
	
	
	private void addListenerEvent() {
		getSaveCardBtn().addActionListener(this);
		getCancelBtn().addActionListener(this);
		getJlcardPanel().addEditListener(this);
		getSelectallBtn().addActionListener(this);
		getCancelallBtn().addActionListener(this);
		getJlcardPanel().addEditListener(this);
	}
	
	
	private UIPanel getUIPanel2() {
		if (ivjUIPanel2 == null) {
			ivjUIPanel2 = new UIPanel();
			ivjUIPanel2.setLayout(new BorderLayout());
			ivjUIPanel2.setPreferredSize(new Dimension(0, 500));
			// ivjUIPanel2.add(getTablePanel(), BorderLayout.CENTER);
			ivjUIPanel2.add(getMainPanel(), BorderLayout.CENTER);// ZTH
		}
		return this.ivjUIPanel2;
	}
	
	private UIPanel getUIPanel0() {
		if (ivjUIPanel0 == null) {
			try {
				ivjUIPanel0 = new UIPanel();
				ivjUIPanel0.setLayout(new FlowLayout(FlowLayout.LEFT));
				ivjUIPanel0.add(getQueryBtn());
				ivjUIPanel0.add(getSelectallBtn());
				ivjUIPanel0.add(getCancelallBtn());
			} catch (Throwable ivjExc) {
				handleException(ivjExc);
			}
		}
		return this.ivjUIPanel0;
	}
	
	
	private void handleException(Throwable e) {
		
	}
	
	public UISplitPane getMainPanel(){
		if(mainpanel==null){
			mainpanel = new UISplitPane();
			mainpanel.setOrientation(JSplitPane.VERTICAL_SPLIT);
			mainpanel.setTopComponent(getJlcardPanel());
			mainpanel.setBottomComponent(getJlbtnpanel());
			mainpanel.setDividerLocation(750);//分割位置
			mainpanel.setOneTouchExpandable(true);
			mainpanel.setDividerSize(8);
		}
		
		return mainpanel;
	}
	
	
	public UIPanel getJlbtnpanel() {
		if(jlbtnpanel==null){
			jlbtnpanel = new UIPanel();
			jlbtnpanel.setName("jlbtnpanel");
			jlbtnpanel.add(getSaveCardBtn());
			jlbtnpanel.add(getCancelBtn());
		}
		return jlbtnpanel;
	}
	
	public UIButton getSaveCardBtn() {
		
		if(saveCardBtn == null){
			saveCardBtn = new UIButton();
			saveCardBtn.setBounds(530,210, 20, 20);
			saveCardBtn.setName("saveCardBtn");
			saveCardBtn.setText("确定");
		}
		return saveCardBtn;
	}
	
	public UIButton getCancelBtn() {
		if(cancelBtn == null){
			cancelBtn = new UIButton();
			cancelBtn.setBounds(530,210, 75, 20);
			cancelBtn.setName("cancelBtn");
			cancelBtn.setText("取消");
		}
		return cancelBtn;
	}
	
	
	private UIButton getQueryBtn() {
		if (queryBtn == null) {
			queryBtn = new UIButton();
			queryBtn.setName("queryBtn");
			queryBtn.setText("  筛选  ");
			Color clrBack = new Color(0XC4C4C4);
			queryBtn.setBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED,
					Color.white,clrBack, new Color(0X5F5F5F), clrBack));
		}
		return this.queryBtn;
	}

	
	private UIButton getSelectallBtn() {
		if (selectallBtn == null) {
			selectallBtn = new UIButton();
			selectallBtn.setName("selectallBtn");
			selectallBtn.setText("  全选  ");
			Color clrBack = new Color(0XC4C4C4);
			selectallBtn.setBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED,
					Color.white,clrBack, new Color(0X5F5F5F), clrBack));
		}
		return this.selectallBtn;
	}

	
	private UIButton getCancelallBtn() {
		if (cancelallBtn == null) {
			cancelallBtn = new UIButton();
			cancelallBtn.setName("cancelallBtn");
			cancelallBtn.setText("  全消  ");
			Color clrBack = new Color(0XC4C4C4);
			cancelallBtn.setBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED,
					Color.white,clrBack, new Color(0X5F5F5F), clrBack));
		}
		return this.cancelallBtn;
	}
	
	
	private BillCardPanel getJlcardPanel() {
		if(jlcardPanel==null){
			jlcardPanel=new BillCardPanel();
			jlcardPanel.setName("jlcardPanel");
			jlcardPanel.loadTemplet("QS412",null,ce.getUser().getPrimaryKey(),ce.getCorporation().getPrimaryKey());
		}
		
		return jlcardPanel;
	}
	
	
	@Override
	public void afterEdit(BillEditEvent arg0) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void bodyRowChange(BillEditEvent arg0) {
		// TODO Auto-generated method stub
		
	}
	
	/**
	 * 全选与反选,flag为true时，全选操作，flag为false时，进行反选操作
	 */
	private void onselectall(boolean flag) {
		switch (focus) {
		case 1:
			int jfRowCount = getJlcardPanel().getRowCount();
			if (jfRowCount > 0) {
				for (int row = 0; row < jfRowCount; row++) {
					getJlcardPanel().getBillModel().setValueAt(flag, row, "bdef4");
				}
				
			}
			break;

		}
	}

	@SuppressWarnings("unchecked")
	@Override
	/**
	 * 按钮确定和取消执行方法
	 */
	public void actionPerformed(ActionEvent e) {
		try {
			//保存按钮
			if(e.getSource() == getSaveCardBtn()){
				Vector<Vector<Object>> vectors = getJlcardPanel().getBillModel().getDataVector();
				StringBuffer errmsg = new StringBuffer();
				//数量校验
				for(int i = 0; i < vectors.size(); i++) {
					Vector<Object> vector = (Vector<Object>)vectors.get(i);
					if(null!=vector.get(0) &&  "Y".equals(vector.get(0).toString())){
						if(vector.get(1) == null) {
							errmsg.append("第"+(i+1)+"行本次执行数量为空！");
							continue;
						}
						UFDouble execnum = new UFDouble(vector.get(1).toString());//本次执行数量
						UFDouble nnum = new UFDouble(vector.get(22).toString());//主数量
						UFDouble usednum = vector.get(30) == null?new UFDouble(0):new UFDouble(vector.get(30).toString());//已执行主数量
						if(execnum.compareTo(nnum.sub(usednum)) > 0) {
							errmsg.append("第"+(i+1)+"行本次执行数量超过订单剩余数量！");
						}
					}
				}
				if(!errmsg.toString().equals("")) {
					MessageDialog.showErrorDlg(mainpanel, "错误", errmsg.toString());
					return;
				}
				//业务类型
				String billtype=headvo.getBusitype();
				String pk_corp = headvo.getPk_corp();
				UFDate dbilldate = headvo.getDbilldate();
				String pk_order = headvo.getPk_order();
				String workmanid = headvo.getWorkmanid();
				String plandeptid = headvo.getPlandeptid();
				String prjcode = headvo.getProjectid();//项目主键
				String Pk_calbody = GetBaseDAOUtil.getcalpk(pk_corp);
				GeneralBillVO aggvo = new GeneralBillVO();
				List<GeneralBillItemVO> listGeneralBillItemVO = new ArrayList<GeneralBillItemVO>();
				GeneralBillHeaderVO icheadvo = new GeneralBillHeaderVO();
				//公司ID
				icheadvo.setPk_corp(pk_corp);
				//库存组织PK 
				icheadvo.setPk_calbody(Pk_calbody);
				//库存单据类型
				icheadvo.setCbilltypecode("46");//默认库存产成品入库单
				//单据日期
				icheadvo.setDbilldate(dbilldate);
				//制单人
				icheadvo.setCoperatorid(PubEnv.getPk_user());
				//项目编码 pk_defdoc9
				icheadvo.setAttributeValue("pk_defdoc9", prjcode);
				//项目名称pk_defdoc10
				icheadvo.setAttributeValue("pk_defdoc10", prjcode);
				//加工单号pk_defdoc2
				icheadvo.setAttributeValue("pk_defdoc2", headvo.getDef1());
				//收发类别
				icheadvo.setCdispatcherid(GetBaseDAOUtil.getpkrdcl("08"));
				//仓库ID
				if("工装".equals(billtype)) {
					icheadvo.setCwarehouseid(GetBaseDAOUtil.getstordocpk("GZ001"));//仓库必填
				}else if("家装".equals(billtype)) {
					icheadvo.setCwarehouseid(GetBaseDAOUtil.getstordocpk("JZ002"));//仓库必填
				}
				//业务员
				icheadvo.setCbizid(workmanid);
				//部门
				icheadvo.setCdptid(plandeptid);
				//备注
				icheadvo.setVnote(headvo.getVnote());
				//操作员
				icheadvo.setCoperatoridnow(PubEnv.getPk_user());
				aggvo.setParentVO(icheadvo);
				Map<String, UFDouble> updatemap = new HashMap<>();
				for(int j = 0; j < vectors.size(); j++) {
					Vector<Object> vector = (Vector<Object>)vectors.get(j);
					//自定义项4  为勾选按钮 ：勾选为Y 没有勾选是null
					if(null!=vector.get(0) &&  "Y".equals(vector.get(0).toString())){
						GeneralBillItemVO itemvo = new GeneralBillItemVO();
						String cmaterialcode = vector.get(8).toString();
						String pk_invbasdoc = "";//存货pk
						if(cmaterialcode.startsWith("0001")) {
							pk_invbasdoc = cmaterialcode;
						}
						else {
							InvbasdocVO invbasvo  = GetBaseDAOUtil.getInvVO(cmaterialcode);
							pk_invbasdoc = invbasvo.getPrimaryKey();
						}
//							String prjcode = vector.get(3).toString();
//							String cprojectid = "";
//						if(prjcode.startsWith("1001")) {
//							cprojectid = prjcode;
//						}
//						else {
//							cprojectid = GetBaseDAOUtil.getprojectid(prjcode);
//						}
						String cprojectid=prjcode;
						InvmandocVO invmanvo = GetBaseDAOUtil.getInvmanVO(pk_invbasdoc);
						String pk_invmandoc = invmanvo.getPrimaryKey();
						
						
						//单据行是否条码关闭
						itemvo.setBbarcodeclose(UFBoolean.FALSE);
						//是否返利
						itemvo.setBreturnprofit(UFBoolean.FALSE);
						//是否价保
						itemvo.setBsafeprice(UFBoolean.FALSE);
						//上游是否赠品行
						itemvo.setBsourcelargess(UFBoolean.FALSE);
						//是否已下发零售
						itemvo.setBtou8rm(UFBoolean.FALSE);
						itemvo.setBtransasset(UFBoolean.FALSE);
						//暂估标志
						itemvo.setBzgflag(UFBoolean.FALSE);
						//单据类型
						itemvo.setCbodybilltypecode("46");
						//库存仓库
						if("工装".equals(billtype)) {
							itemvo.setCbodywarehouseid(GetBaseDAOUtil.getstordocpk("GZ001"));//仓库必填
						}else if("家装".equals(billtype)) {
							itemvo.setCbodywarehouseid(GetBaseDAOUtil.getstordocpk("JZ002"));//仓库必填
						}
						//存货基本ID
						itemvo.setCinvbasid(pk_invbasdoc);
						//存货ID
						itemvo.setCinventoryid(pk_invmandoc);
						//行号
						itemvo.setCrowno(Integer.toString((j+1)*10));
						//业务日期
						itemvo.setDbizdate(dbilldate);
						//是否生成设备卡片
						itemvo.setFassertcardflag(UFBoolean.FALSE);
						//待检标志
						itemvo.setFchecked(0);
						//是否赠品
						itemvo.setFlargess(UFBoolean.FALSE);
						//结算完毕标志
						itemvo.setIsok(UFBoolean.FALSE);
						//条码数量
						itemvo.setNbarcodenum(new UFDouble(0));
						UFDouble ninnum = vector.get(1) == null ? null : new UFDouble(vector.get(1).toString());
						//实入数量
						itemvo.setNinnum(ninnum);
						//应入数量
						itemvo.setNshouldinnum(ninnum);
						//辅计量单位ID 
						itemvo.setCastunitid(vector.get(28) == null ? null : GetBaseDAOUtil.getMeasidByNames(vector.get(28).toString()));	
						UFDouble Hsl = vector.get(49) == null ? null : new UFDouble(vector.get(49).toString());
						//换算率						
						itemvo.setHsl(Hsl);
						
						//没有换算率则辅数量为空
						if(Hsl != null) {
							UFDouble ninassistnum = new UFDouble(ninnum.div(Hsl).toString(),2);
							//实入辅数量 
							itemvo.setNinassistnum(ninassistnum);
							//应入辅数量 
							itemvo.setNneedinassistnum(ninassistnum);
						}
//						//金额
//						itemvo.setNmny(vector.get(25)== null ? null : new UFDouble(vector.get(25).toString()));
//						//单价
//						itemvo.setNprice(vector.get(27) == null ? null : new UFDouble(vector.get(27).toString()));
						//库存组织
						itemvo.setPk_bodycalbody(Pk_calbody);
						//源头单据表头ID
						itemvo.setCfirstbillhid(pk_order);
						//源头单据表体ID 
						itemvo.setCfirstbillbid(vector.get(34).toString());
						//源头单据类型
						itemvo.setCfirsttype("55A2");					
						//项目ID
						itemvo.setCprojectid(cprojectid);
						//来源单据表头序列号
						itemvo.setCsourcebillhid(pk_order);
						//来源单据表体序列号
						itemvo.setCsourcebillbid(vector.get(34).toString());
						//来源单据类型
						itemvo.setCsourcetype("55A2");
						//原币无税金额
//						itemvo.setNquotentmny(vector.get(24) == null ? null: new UFDouble(vector.get(24).toString()));
//						//原币无税单价
//						itemvo.setNquotentprice(vector.get(26) == null ? null : new UFDouble(vector.get(26).toString()));
//						//不含税金额
//						itemvo.setNsalemny(vector.get(24) == null ? null: new UFDouble(vector.get(24).toString()));
//						//销售价格
//						itemvo.setNsaleprice(vector.get(24) == null ? null: new UFDouble(vector.get(24).toString()));
//						//含税金额
//						itemvo.setNtaxmny(vector.get(23) == null ? null : new UFDouble(vector.get(23).toString()));
//						//含税单价
//						itemvo.setNtaxprice(vector.get(22) == null ? null : new UFDouble(vector.get(22).toString()));
						//itemvo.setPk_calbody(GetBaseDAOUtil.getcalpk(pk_corp));
						//批次号
						itemvo.setVbatchcode(vector.get(7) == null ? null : vector.get(7).toString());		
						itemvo.setAttributeValue("pk_defdoc1", vector.get(37)==null?null:vector.get(37).toString());//楼号楼层
						itemvo.setAttributeValue("pk_defdoc2", vector.get(38)==null?null:vector.get(38).toString());//樘数（数量）
						itemvo.setAttributeValue("pk_defdoc3", vector.get(39)==null?null:vector.get(39).toString());//框统计
						itemvo.setAttributeValue("pk_defdoc4", vector.get(40)==null?null:vector.get(40).toString());//扇统计
						itemvo.setAttributeValue("pk_defdoc5", vector.get(41)==null?null:vector.get(41).toString());//半成品分类
						itemvo.setAttributeValue("pk_defdoc6", vector.get(42)==null?null:vector.get(42).toString());//面积
						itemvo.setAttributeValue("pk_defdoc7", vector.get(43)==null?null:vector.get(43).toString());//切割长度
						itemvo.setAttributeValue("pk_defdoc8", vector.get(44)==null?null:vector.get(44).toString());//切割角度左下
						itemvo.setAttributeValue("pk_defdoc9", vector.get(45)==null?null:vector.get(45).toString());//切割角度右上
						itemvo.setAttributeValue("pk_defdoc10", vector.get(46)==null?null:vector.get(46).toString());//备注
						itemvo.setAttributeValue("pk_defdoc11", vector.get(18)==null?null:vector.get(18).toString());//宽度
						itemvo.setAttributeValue("pk_defdoc12", vector.get(19)==null?null:vector.get(19).toString());//高度
						itemvo.setAttributeValue("pk_defdoc13", vector.get(47)==null?null:vector.get(47).toString());//系列
						itemvo.setAttributeValue("pk_defdoc14", vector.get(48)==null?null:vector.get(48).toString());//玻璃编号
						//源头单据号
						itemvo.setVfirstbillcode(headvo.getVbillno());
						//来源单据号
						itemvo.setVsourcebillcode(headvo.getVbillno());
						itemvo.setStatus(2);
						listGeneralBillItemVO.add(itemvo);
						itemvo.setVfree1(vector.get(12) == null ? null : vector.get(12).toString());//颜色
						itemvo.setVfree2(vector.get(13) == null ? null : vector.get(14).toString());//合金
						itemvo.setVfree3(vector.get(14) == null ? null : vector.get(13).toString());//定尺
						itemvo.setVfree4(vector.get(15) == null ? null : vector.get(15).toString());//标准
						UFDouble updatenum =  new UFDouble(vector.get(30)==null?"0":vector.get(30).toString()).add(new UFDouble(vector.get(1)==null?"0":vector.get(1).toString()));
						updatemap.put(vector.get(34).toString(), updatenum);
					}
				}
				aggvo.setChildrenVO(listGeneralBillItemVO.toArray(new GeneralBillItemVO[listGeneralBillItemVO.size()]));		
				iorder.insertProduct(new GeneralBillVO[]{aggvo},updatemap);
				this.closeCancel();
			}
			//取消按钮
			if(e.getSource() == getCancelBtn()){
				this.closeCancel();
			}
			
			
			// 全选
			if (e.getSource() == getSelectallBtn()) {
				onselectall(true);
			}

			// 全消
			if (e.getSource() == getCancelallBtn()) {
				onselectall(false);
			}
			
			
			// 筛选
			if (e.getSource() == getQueryBtn()) {
				TemplateInfo ti = new TemplateInfo();
				ti.setTemplateId(null);
				ti.setPk_Org(ce.getCorporation().getPrimaryKey());
				ti.setUserid(ce.getUser().getPrimaryKey());
				ti.setCurrentCorpPk(ce.getCorporation().getPrimaryKey());
				// 功能节点默人模板分配后查询SELECT * from pub_systemplate order by ts desc
				ti.setFunNode("40H204");
				ti.setNodekey("qt");
				QueryConditionDLG d = new QueryConditionDLG(this, ti, "产成品入库明细");
				Dimension dimension = Toolkit.getDefaultToolkit().getScreenSize();
				d.setSize(dimension.width - 1000, dimension.height - 650);
				d.setLocation(500, 300);
				if (d.showModal() != UIDialog.ID_OK) {
					return;
				}

				String dlgsql = d.getWhereSQL();
				if (!(null != dlgsql && !"".equals(dlgsql))) {
					getJlcardPanel().getBillModel().setBodyDataVO(inArrays);
					return;
				}
				String quresql = "select * from mmpac_order_in where  " + dlgsql + " and ";
				IUAPQueryBS iuap = (IUAPQueryBS) NCLocator.getInstance().lookup(IUAPQueryBS.class.getName());

				try {
					List<String> pks = new ArrayList<String>();
					if (null != inArrays && inArrays.length > 0) {
						for (OrderInVO vo : inArrays) {
							String pk_order_in = vo.getPk_order_in();
							pks.add(pk_order_in);
						}
						SqlBuilder sqlbuild = new SqlBuilder();
						sqlbuild.append(quresql);
						sqlbuild.append("pk_order_issue", pks.toArray(new String[0]));
						List<OrderInVO> lisorderinvos = (List<OrderInVO>) iuap.executeQuery(sqlbuild.toString(),
								new BeanListProcessor(OrderInVO.class));
						OrderInVO[] invos = lisorderinvos.toArray(new OrderInVO[0]);
						getJlcardPanel().getBillModel().setBodyDataVO(invos);

					} else {
						getJlcardPanel().getBillModel().setBodyDataVO(null);
					}

				} catch (BusinessException e1) {
					// TODO Auto-generated catch block
					e1.printStackTrace();
				}

			}
			
			
			
			
			
			
		} catch (Exception e1) {
			MessageDialog.showErrorDlg(mainpanel, "错误", e1.getMessage());
		}
		
	}

}







