package u8c.ui.mmpac.panel;

import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.ui.hr.frame.state.StateRegister;
import nc.ui.pub.bill.BillEditEvent;
import nc.ui.pub.bill.BillItemEvent;
import nc.ui.pub.bill.IBillItem;
import nc.vo.hr.tools.pub.HRConstEnum;
import u8c.ui.mmpac.datamodel.OrderDataModel;

public class OrderMainPanel extends MainBillMgrPanel{

	public int selectedRow = -1;
	
	public OrderMainPanel(FrameUI frameUI, String strBillType2, String strBusiType2) {
		super(frameUI, strBillType2, strBusiType2);
		initComboBox();
		}

	protected void initComboBox(){ 
	    initComboBox(IBillItem.HEAD, null, "billstatus", 
	    		HRConstEnum.getInstance().APPROVE_STATUS_APPLY, false);
		}
	
	public void bodyRowChange(BillEditEvent billEditEvent){
        if (billEditEvent == null){
            return;
        }
        selectedRow = billEditEvent.getRow();
        if (billEditEvent.getSource() == ((OrderMainPanel)(getParentUI().getMainPanel())).getBillCardPanel().getBillTable()){
            return;
        }
        OrderDataModel dataModel = (OrderDataModel) getParentUI().getDataModel();
        dataModel.setCurrentState(StateRegister.STATE_LINE_SELECTED, true);
	}
		
	public int getSelectedRow() {
		return selectedRow;
	}
	
	@Override
	public void afterEdit(BillEditEvent evt) { 
		super.afterEdit(evt);
	}
	
	@Override
	protected boolean beforeEdit(BillItemEvent evt) { 
		return super.beforeEdit(evt);
	}

	@Override
	public boolean beforeEdit(BillEditEvent evt) { 
		return super.beforeEdit(evt);
	}
	
	
}
