package u8c.ui.mytest.action;

import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.AddAction;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mytest.panel.DemandTestUI;
import u8c.vo.DemandVO;
public class DemandAddAction extends AddAction{
	

	DemandTestUI frameUI = null;
	
	public DemandAddAction(FrameUI frameUI) {
		super(frameUI);
		this.frameUI = (DemandTestUI) frameUI;
	}

	public boolean validate() throws ValidationException { // 前台校验
		return super.validate();
	}
	
	public void execute() throws Exception{
		super.execute();
		
		DemandTestUI ui = (DemandTestUI) this.getFrameUI();
		
		ui.getBillCardPanel().setHeadItem(DemandVO.PK_CORP, PubEnv.getPk_corp()); // 默认当前公司
		ui.getBillCardPanel().setHeadItem(DemandVO.BILLSTATUS, IBillStatus.FREE); // 增加时状态设自由编写态
		ui.getBillCardPanel().setHeadItem(DemandVO.DBILLDATE, PubEnv.getServerDate()); // 默认单据日期
		ui.getBillCardPanel().setTailItem(DemandVO.MAKEDATE, PubEnv.getServerDate());//默认当前时间
		ui.getBillCardPanel().setTailItem(DemandVO.BILLMAKER, PubEnv.getPk_user());//默认当前登录用户
		
	}

}
