package u8c.ui.mytest.action;

import nc.hr.frame.persistence.BaseDAOManager;
import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.AbstractAction;
import nc.ui.hr.frame.button.AbstractBtnReg;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mytest.datamodel.DemandDataModel;
import u8c.ui.mytest.panel.DemandMainPanel;
import u8c.ui.mytest.panel.DemandTestUI;
import u8c.vo.DemandVO;

public class DemandApproveAction extends AbstractAction{
	
	DemandTestUI frameUI = null;
	BaseDAOManager dao = new BaseDAOManager();

	public DemandApproveAction(FrameUI frameUI) {
		super(frameUI);
		this.frameUI = (DemandTestUI) frameUI;
	}

	@Override
	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		//int selectedRow = ((DemandMainPanel) getMainPanel()).getSelectedRow();
		HRAggVO [] s = new HRAggVO[] {this.getSelection(mainMgrPanel)};
		//HRAggVO[] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getData();
		//if (null != s && s[selectedRow] != null){
			//DemandVO headvo = (DemandVO) s[selectedRow].getParentVO();
		DemandVO headvo = (DemandVO) s[0].getParentVO();
			if (headvo.getBillstatus() != IBillStatus.FREE){
				throw new ValidationException("非自由态单据不允许审批");
			}
			headvo.setBillstatus(IBillStatus.CHECKPASS);
			headvo.setApprove(PubEnv.getPk_user());
		//}
		((DemandDataModel)this.frameUI.getDataModel()).execApprove(s[0]);
		boolean boo = this.frameUI.getBillCardPanel().isShowing();
		if(boo) {
			this.frameUI.getBillCardPanel().setBillValueVO(s[0]);
		}else {
			getFrameUI().getBtnManager().getCmdByID(AbstractBtnReg.SYSBTN_REFRESH).execute();
		}
		
	}

}
