package u8c.ui.mytest.action;

import nc.bs.framework.common.NCLocator;
import nc.hr.frame.persistence.BaseDAOManager;
import nc.hr.utils.PubEnv;
import nc.itf.uap.IVOPersistence;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.AbstractAction;
import nc.ui.hr.frame.button.AbstractBtnReg;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.BusinessException;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mytest.datamodel.DemandDataModel;
import u8c.ui.mytest.panel.DemandMainPanel;
import u8c.ui.mytest.panel.DemandTestUI;
import u8c.vo.DemandVO;

public class DemandCloseAction extends AbstractAction{
	
	DemandTestUI frameUI = null;
	IVOPersistence ivo = NCLocator.getInstance().lookup(IVOPersistence.class);
	
	public DemandCloseAction(FrameUI frameUI1) {
		super(frameUI1);
		this.frameUI = (DemandTestUI) frameUI;
	}

	@Override
	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		int selectedRow = ((DemandMainPanel) getMainPanel()).getSelectedRow();
		HRAggVO[] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getData();
		if (null != s && s[selectedRow] != null){
			DemandVO headvo = (DemandVO) s[selectedRow].getParentVO();
			headvo.setBillstatus(9);
			ivo.updateVO(headvo);
		}
		
		boolean boo = mainMgrPanel.getBillCardPanel().isShowing();
		if(boo) {
			mainMgrPanel.getBillCardPanel().setBillValueVO(s[selectedRow]);
		}else {
			getFrameUI().getBtnManager().getCmdByID(AbstractBtnReg.SYSBTN_REFRESH).execute();
		}
	}

}
