package u8c.ui.mytest.action;

import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.BrowseFromListToCardAction;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.ui.hr.frame.state.StateRegister;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import nc.vo.trade.pub.IBillStatus;
import u8c.ui.mytest.panel.DemandMainPanel;
import u8c.ui.mytest.panel.DemandTestUI;
import u8c.vo.DemandVO;

public class DemandEditAction extends BrowseFromListToCardAction{

	public DemandEditAction(FrameUI frameUI) {
		super(frameUI);
	}
	
	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		
		// 获取选中行
		//int selectedRow = ((DemandMainPanel) getMainPanel()).getSelectedRow();
		
		// 获取界面聚合vos
		//HRAggVO [] s = (HRAggVO[]) mainMgrPanel.getMainBillListPanel().getData();
		
		//if (null !=s && s[selectedRow] != null){
			// 主表vo
			//DemandVO cta = (DemandVO) s[selectedRow].getParentVO();
			DemandVO cta = (DemandVO) this.getSelection(mainMgrPanel).getParentVO();
			if (cta.getBillstatus() != IBillStatus.FREE){
				throw new ValidationException("非编写状态不能修改。");
			}
		//}
		
		super.execute();
		
		DemandTestUI ui = (DemandTestUI)this.getFrameUI();
		ui.getBillCardPanel().setHeadItem(DemandVO.PK_CORP, PubEnv.getPk_corp());
		
		getDataModel().setRollBackState(getDataModel().getCurrentState());
        
        getDataModel().setCurrentState(StateRegister.STATE_EDIT);
        
        getMainPanel().setMainPanelEnabled(true);
	}

}
