package u8c.ui.mytest.action;

import nc.bs.pub.billcodemanage.BillcodeGenerater;
import nc.hr.utils.PubEnv;
import nc.ui.hr.frame.FrameUI;
import nc.ui.hr.frame.action.SaveAction;
import nc.ui.hr.frame.impl.MainBillMgrPanel;
import nc.ui.hr.frame.state.StateRegister;
import nc.vo.hr.tools.pub.HRAggVO;
import nc.vo.pub.ValidationException;
import u8c.ui.mytest.panel.DemandMainPanel;
import u8c.ui.mytest.panel.DemandTestUI;
import u8c.vo.DemandVO;

public class DemandSaveAction extends SaveAction {

	DemandTestUI frameUI = null;

	public DemandSaveAction(FrameUI frameUI) {
		super(frameUI);
		this.frameUI = (DemandTestUI) frameUI;
	}

	public void execute() throws Exception {
		MainBillMgrPanel mainMgrPanel = (MainBillMgrPanel) getMainPanel();
		int selectedRow = ((DemandMainPanel) getMainPanel()).getSelectedRow();
		HRAggVO s = (HRAggVO) mainMgrPanel.getMainBillCardPanel().getData();
		if(selectedRow==-1) {
			throw new ValidationException("请添加表体行");
		}
		
		
		if (null != s && s != null){
			DemandVO headvo = (DemandVO) s.getParentVO();
			String vbillcode = headvo.getVbillcode();
			if(vbillcode==null||vbillcode.equals("")) {
				vbillcode = new BillcodeGenerater().getBillCode("A2A3", PubEnv.getPk_corp(), null, null);
				mainMgrPanel.getBillCardPanel().setHeadItem("vbillcode", vbillcode);
			}
		}
		super.execute();
		frameUI.getDataModel().setCurrentState(StateRegister.STATE_NOTEDIT); // 设置当前状态为非编辑时
	}
}
