package u8c.ui.mytest.button;

import nc.ui.hr.frame.bill.manage.ManageBtnStateReg;
import nc.ui.hr.frame.button.AbstractBtnReg;
import nc.ui.hr.frame.state.StateRegister;
import nc.vo.hr.frame.button.ButtonStateVO;

public class DemandBtnStateReg extends ManageBtnStateReg{
	
	public DemandBtnStateReg(StateRegister stRgst) {
		super(stRgst);
	}
	
	protected void addUserButtonStateVO() {
		super.addUserButtonStateVO();
		
		// 初始
        ButtonStateVO btnStateVO = new ButtonStateVO();
        btnStateVO.setStateID(StateRegister.STATE_INIT);
        btnStateVO.setEnableBtnIDs(new int[]{AbstractBtnReg.SYSBTN_QUERY, AbstractBtnReg.SYSBTN_ADD, AbstractBtnReg.SYSBTN_REFRESH,AbstractBtnReg.SYSBTN_EXPORT,AbstractBtnReg.SYSBTN_IMPORT,AbstractBtnReg.USERBTN_boExportImport});
        btnStateVO.setVisibleBtnIDs(new int[]{AbstractBtnReg.SYSBTN_EDIT, AbstractBtnReg.SYSBTN_DELETE, AbstractBtnReg.SYSBTN_EXAMINE, AbstractBtnReg.SYSBTN_CANCELEXAMINE});
        addStateVO(btnStateVO.getStateID(), btnStateVO);
        
		// 表头行选择
        btnStateVO = new ButtonStateVO();
        btnStateVO.setStateID(StateRegister.STATE_LINE_SELECTED);
        btnStateVO.setEnableBtnIDs(new int[]{AbstractBtnReg.SYSBTN_EXAMINE_OPS, AbstractBtnReg.SYSBTN_QUERY, AbstractBtnReg.SYSBTN_ADD,AbstractBtnReg.SYSBTN_EDIT,
        		AbstractBtnReg.SYSBTN_DELETE,AbstractBtnReg.SYSBTN_EXAMINE,AbstractBtnReg.SYSBTN_CANCELEXAMINE,AbstractBtnReg.USERBTN_boExportImport,AbstractBtnReg.SYSBTN_EXPORT,AbstractBtnReg.SYSBTN_IMPORT});
        btnStateVO.setVisibleBtnIDs(new int[]{ });
        addStateVO(btnStateVO.getStateID(), btnStateVO);
        
        // 浏览
        btnStateVO = new ButtonStateVO();
        btnStateVO.setStateID(StateRegister.STATE_NOTEDIT);
        btnStateVO.setEnableBtnIDs(new int[]{AbstractBtnReg.SYSBTN_ADD, AbstractBtnReg.SYSBTN_EDIT, AbstractBtnReg.SYSBTN_DELETE,AbstractBtnReg.SYSBTN_RETURN,
        		AbstractBtnReg.SYSBTN_EXAMINE,AbstractBtnReg.SYSBTN_CANCELEXAMINE,AbstractBtnReg.USERBTN_boExportImport,AbstractBtnReg.SYSBTN_EXPORT,AbstractBtnReg.SYSBTN_IMPORT,
//        		AbstractBtnReg.USERBTN_ADDPRAYBILL
        		AbstractBtnReg.USERBTN_ClOSE});
        btnStateVO.setVisibleBtnIDs(new int[]{AbstractBtnReg.SYSBTN_EXAMINE_OPS, AbstractBtnReg.SYSBTN_QUERY, AbstractBtnReg.SYSBTN_REFRESH});
        addStateVO(btnStateVO.getStateID(), btnStateVO);

	}

}
