package u8c.bs.mytest.bp;

import java.util.Map;

import nc.bs.framework.common.NCLocator;
import nc.itf.uap.IUAPQueryBS;
import nc.jdbc.framework.processor.ColumnProcessor;
import nc.jdbc.framework.processor.MapProcessor;
import nc.vo.pub.BusinessException;
import u8c.pubitf.rule.IRule;
import u8c.vo.AggDemandVO;
import u8c.vo.DemandBVO;
import u8c.vo.DemandVO;

public class ValidateRule implements IRule<AggDemandVO> {

	private  IUAPQueryBS iuap = NCLocator.getInstance().lookup(IUAPQueryBS.class);
	/**
	 * У
	 */
	@Override
	public void process(AggDemandVO[] vos) throws BusinessException {
		for(int i = 0; i < vos.length; i++) {
			DemandVO demandVO = (DemandVO) vos[i].getParentVO();
			DemandBVO[] demandBVOs = (DemandBVO[]) vos[i].getChildrenVO();
			for (int j = 0; j < demandBVOs.length; j++) {
				Map<String,String> map = getInvbasdoc(demandBVOs[j].getCmaterialcode());
				//ɫ
				String free1 = map.get("free1");
				if (free1 == null) {
				    if (demandBVOs[j].getColor() != null) {
				        throw new BusinessException(""+demandBVOs[j].getCmaterialcode()+"ûɫ,ɫ");
				    }
				} else {
				    if (demandBVOs[j].getColor() == null) {
				        throw new BusinessException(""+demandBVOs[j].getCmaterialcode()+"ɫ,ɫΪ");
				    }
				}
				//
				String free3 = map.get("free3");
				if (free3 == null) {
				    if (demandBVOs[j].getSizing() != null) {
				        throw new BusinessException(""+demandBVOs[j].getCmaterialcode()+"ûö,߲");
				    }
				} else {
				    if (demandBVOs[j].getSizing() == null) {
				        throw new BusinessException(""+demandBVOs[j].getCmaterialcode()+"˶,߲Ϊ");
				    }
				}
				//Ͻ
				String free2 = map.get("free2");
				if (free2 == null) {
				    if (demandBVOs[j].getAlloy() != null) {
				        throw new BusinessException(""+demandBVOs[j].getCmaterialcode()+"ûúϽ,Ͻ");
				    }
				} else {
				    if (demandBVOs[j].getAlloy() == null) {
				        throw new BusinessException(""+demandBVOs[j].getCmaterialcode()+"˺Ͻ,ϽΪ");
				    }
				}
				//׼
				String free4 = map.get("free4");
				if (free4 == null) {
				    if (demandBVOs[j].getStandard() != null) {
				        throw new BusinessException(""+demandBVOs[j].getCmaterialcode()+"ûñ׼,׼");
				    }
				} else {
				    if (demandBVOs[j].getStandard() == null) {
				        throw new BusinessException(""+demandBVOs[j].getCmaterialcode()+"˱׼,׼Ϊ");
				    }
				}
				getDefdoc("HJϽ",demandBVOs[j].getAlloy());
				getDefdoc("BZ׼",demandBVOs[j].getStandard());
				getMeasdoc(demandBVOs[j].getCastunitid());
			}
		}
	}
	
	
	//ѯԶ嵵
    public  void getDefdoc(String doclistcode,String docname) throws BusinessException {
    	if(docname == null) {
    		return ;
    	}
        String sql = "select pk_defdoc from bd_defdoc where pk_defdoclist = (select pk_defdoclist from bd_defdoclist where doclistcode = '"+doclistcode+"') and docname ='"+docname+"'";
        String pk_defdoc = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (pk_defdoc == null) {
        	throw new BusinessException("µU8cloudϵͳиݹ˾˲ϢҲ飡ϸϢ1 Զ嵵ƣ"+docname+"");
        }
    }
    
    //ѯ
    public  void getMeasdoc(String shortname) throws BusinessException {
    	if(shortname == null) {
    		return ;
    	}
        String sql = "select pk_measdoc from bd_measdoc where measname ='"+shortname+"'";
        String pk_measdoc = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (pk_measdoc == null) {
        	throw new BusinessException("µU8cloudϵͳиݹ˾˲ϢҲ飡ϸϢ1 ƣ"+shortname+"");
        }
    }
    
    public Map<String,String> getInvbasdoc(String cmaterialcode)throws BusinessException {
    	String sql = "select free1,free2,free3,free4 from bd_invbasdoc where invcode  = '"+cmaterialcode+"' and dr = 0";
    	return (Map<String, String>) iuap.executeQuery(sql.toString(), new MapProcessor());
    }
    

}
