package u8c.impl;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.transaction.SystemException;
import javax.transaction.UserTransaction;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import nc.bs.dao.BaseDAO;
import nc.bs.framework.adaptor.IHttpServletAdaptor;
import nc.bs.framework.common.InvocationInfoProxy;
import nc.bs.framework.common.NCLocator;
import nc.itf.uap.IPKLockBS;
import nc.itf.uap.LockableVO;
import nc.itf.uap.bd.cust.ICustBasDocOperate;
import nc.jdbc.framework.processor.ColumnProcessor;
import nc.vo.bd.b08.CubasdocVO;
import nc.vo.bd.b08.CustBasVO;
import nc.vo.pub.BusinessException;
import u8c.bs.servlet.service.BaseServlet;
import u8c.bs.servlet.service.GetBaseDAOUtil;
import u8c.log.NcLog;

public class CustdocAddImpl extends BaseServlet implements IHttpServletAdaptor{
	
	UserTransaction trans;

	@Override
	public void doAction(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		try {
			//ӿڷؽ
			JSONObject returnobj = new JSONObject();
			JSONArray errMessage = new JSONArray();
			String token =req.getParameter("token");
			if(!(token!=null && !token.equals("")&&("07a81a68-c60c-4ee4-83dc-25aa51a51497").equals(token))){
				errMessage.add(formatRSJsonData("ʧ",
						"ȷͨѶǷȷ",""));
				returnobj.put("info", "ʧ");
				returnobj.put("errMessage", "ȷͨѶǷȷ");
				returnobj.put("result", errMessage);
				resp.getWriter().write(returnobj.toString());
				NcLog.info(returnobj.toString());
				return;
			}
			
			trans = NCLocator.getInstance().lookup(UserTransaction.class);
			trans.begin(); //
			String js = buildJson(req, resp, this.getClass().getName());
			JSONObject json=JSON.parseObject(js);
			JSONArray jsdata = json.getJSONArray("result");
			NcLog.info("ʼ" + jsdata);
			JSONArray resultJSONArray = handle(jsdata);
			returnobj.put("info", "ɹ");
			returnobj.put("errMessage", "");
			returnobj.put("result", resultJSONArray);
			trans.commit();//ύ
			resp.getWriter().write(returnobj.toString()); // 
		} catch (Exception e) {
			try {
				trans.rollback();//ع
			} catch (Exception e1) {
				e1.printStackTrace();
			} 
			
			e.printStackTrace();
			NcLog.info("" + e.getMessage());
			JSONArray errMessage = new JSONArray();
			JSONObject returnobj = new JSONObject();
			errMessage.add(formatRSJsonData("ʧ",e.getMessage(),"").toString());
			returnobj.put("info", "ʧ");
			returnobj.put("errMessage", e.getMessage());
			returnobj.put("result", errMessage);
			resp.getWriter().write(returnobj.toString()); // 
		}
	}

	public JSONArray handle(JSONArray array) throws Exception {
		JSONArray res = new JSONArray();
		// Ա
		String user = "";
		try {
			for (int i = 0; i < array.size(); i++) {
			
				JSONObject headjs = array.getJSONObject(i);
				user = getStringNotNullException(headjs.get("user"), "user");
				InvocationInfoProxy.getInstance().setUserCode(getUser(user));
				CubasdocVO cuBasDocVo = getCustvo(headjs);
				// 淽
				ICustBasDocOperate custOperate = NCLocator.getInstance().lookup(ICustBasDocOperate.class);
				// ɵ
				String pk_cubasdoc = custOperate.insertCust(cuBasDocVo, false);
				// عؼϢ&&
				res.add(formatRSJsonData("ɹ","",pk_cubasdoc));
			}
			return res;
		} catch (Exception e) {
			
			
			// pk,ý
			IPKLockBS pkbs = NCLocator.getInstance().lookup(IPKLockBS.class);
			LockableVO[] pkvo = pkbs.getUserLockVOs_RequiresNew(user,
					InvocationInfoProxy.getInstance().getUserDataSource());
			if (pkvo != null) {
				for (int j = 0; j < pkvo.length; j++) {
					pkbs.releaseLock_RequiresNew(
							pkvo[j].getLockType() == 1 ? pkvo[j].getLockable() + IPKLockBS.STR_SHARED_LOCK
									: pkvo[j].getLockable(),
							user, InvocationInfoProxy.getInstance().getUserDataSource());
				}
			}
			NcLog.info("" + e);
			throw new BusinessException("" + e.getMessage());
		}
	}
	

	/**
	 * ƴװ̻vo
	 * 
	 * @param headjs
	 * @return
	 * @throws BusinessException
	 */
	private CubasdocVO getCustvo(JSONObject headjs) throws BusinessException {
		CubasdocVO cuBasDocVo = new CubasdocVO();
		CustBasVO cusVos = new CustBasVO();

		String user = getStringNotNullException(headjs.get("user"), "user");
		String custcode = getStringNotNullException(headjs.get("custcode"), "custcode");
		String custname = getStringNotNullException(headjs.get("custname"), "custname");
		String areacl = getStringNotNullException(headjs.get("areacl"), "areacl");
		String corp = getStringNotNullException(headjs.get("corp"), "corp");
		String custshortname = getStringNotNullException(headjs.get("custshortname"), "custshortname");
		cusVos.setCustcode(custcode);// ̵
		cusVos.setCustname(custname);// 
		cusVos.setCustshortname(custshortname);// ͻ
		cusVos.setCreator(getUser(user));// Ƶ
		cusVos.setPk_areacl(getAreacl(areacl));// 
		cusVos.setPk_corp(corp);// ˾
		cusVos.setCustprop(0);// 
		cusVos.setDr(0);
		cuBasDocVo.setParentVO(cusVos);
		return cuBasDocVo;
	}


	/**
	 * ûϢѯ
	 * 
	 * @param cuserid
	 * @return
	 * @throws BusinessException
	 */
	public String getUser(String code) throws BusinessException {
		String cuserid = null;

		String sql = " select cuserid from sm_user" + " where user_code  ='" + code + "' and dr =0 ";
		cuserid = (String) new BaseDAO().executeQuery(sql.toString(), new ColumnProcessor());
		if (cuserid == null) {
			throw new BusinessException("U8Cڵǰû:" + code);
		}
		return cuserid;
	}
	
	/**
	 * ѯϢ
	 * @param areaclcode
	 * @return
	 * @throws BusinessException
	 */
	public String getAreacl(String areaclcode) throws BusinessException {
		String areacl = null;
		String sql = " select pk_areacl from bd_areacl" + " where areaclcode  ='" + areaclcode + "' and dr =0 ";
		areacl = (String) new BaseDAO().executeQuery(sql.toString(), new ColumnProcessor());
		if (areacl == null) {
			throw new BusinessException("U8Cڵǰ:" + areaclcode);
		}
		return areacl;
	}


	public String getStringNotNullException(Object value, String itemname) throws BusinessException {
		if (value == null || value.toString().trim().length() == 0) {
			throw new BusinessException(itemname + "Ϊգ");
		}
		return value.toString();
	}

	public String getStringIsNullException(Object value, String itemname) throws BusinessException {
		if (value == null || value.toString().trim().length() == 0) {
			return null;
		}
		return value.toString();
	}
		
}

