package u8c.bs.servlet.service;

import nc.bs.framework.common.NCLocator;
import nc.itf.uap.IUAPQueryBS;
import nc.jdbc.framework.processor.BeanProcessor;
import nc.jdbc.framework.processor.ColumnProcessor;
import nc.vo.bd.b09.CumandocVO;
import nc.vo.bd.invdoc.InvbasdocVO;
import nc.vo.bd.invdoc.InvmandocVO;
import nc.vo.pub.BusinessException;

public class GetBaseDAOUtil {
	private static IUAPQueryBS iuap = NCLocator.getInstance().lookup(IUAPQueryBS.class);
	
	// û
    public static String getUserid(String usercode) throws Exception {
        String sql = "select cuserid from sm_user where user_code ='"+usercode+"' and isnull(dr,0) = 0";
        String cuserid = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (cuserid == null) {
            return "";
        }
        return cuserid;
    }
    
    //Ա
    public static String getPsndocid(String psncode) throws Exception {
        String sql = "select pk_psndoc from bd_psndoc where psncode ='"+psncode+"' and isnull(dr,0) = 0";
        String pk_psndoc = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (pk_psndoc == null) {
            return "";
        }
        return pk_psndoc;
    }
    
    //ŵ
    public static String getDeptdocid(String deptcode) throws Exception {
        String sql = "select pk_deptdoc from bd_deptdoc where deptcode ='"+deptcode+"' and isnull(dr,0) = 0";
        String pk_deptdoc = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (pk_deptdoc == null) {
            return "";
        }
        return pk_deptdoc;
    }
    
    //ҵ
    public static String getBusitypeid(String busicode,String pk_corp) throws Exception {
        String sql = "select pk_busitype from bd_busitype where busicode ='"+busicode+"' and isnull(dr,0) = 0 and pk_corp = '"+pk_corp+"'";
        String pk_busitype = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (pk_busitype == null) {
            return "";
        }
        return pk_busitype;
    }
    
    //Ŀ
    public static String getprojectname(String prjcode) throws Exception {
        String sql = "select jobname from bd_jobbasfil where jobcode ='"+prjcode+"' and isnull(dr,0) = 0";
        String jobname = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (jobname == null) {
            return "";
        }
        return jobname;
    }
    
    //Ŀid
    public static String getprojectid(String prjcode) throws Exception {
        String sql = "select pk_jobbasfil from bd_jobbasfil where jobcode ='"+prjcode+"' and isnull(dr,0) = 0";
        String pk_jobbasfil = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (pk_jobbasfil == null) {
            return "";
        }
        return pk_jobbasfil;
    }
    
    //Ŀ
    public static String getprjtypecode(String prjcode) throws Exception {
        String sql = "select jobtypecode from bd_jobtype where pk_jobtype = (select pk_jobtype from bd_jobbasfil where isnull(dr,0) = 0 and jobcode = '"+prjcode+"')";
        String jobtypecode = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (jobtypecode == null) {
            return "";
        }
        return jobtypecode;
    }
    
    //Ŀ
    public static String getprjtypename(String prjcode) throws Exception {
        String sql = "select jobtypename from bd_jobtype where pk_jobtype = (select pk_jobtype from bd_jobbasfil where isnull(dr,0) = 0 and jobcode = '"+prjcode+"')";
        String jobtypename = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (jobtypename == null) {
            return "";
        }
        return jobtypename;
    }
    
    //
    public static String getinvname(String cmaterialcode) throws Exception {
        String sql = "select invname from bd_invbasdoc where invcode = '"+cmaterialcode+"' and isnull(dr,0) = 0";
        String invname = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (invname == null) {
            return "";
        }
        return invname;
    }
    
    //
    public static String getinvspec(String cmaterialcode) throws Exception {
        String sql = "select invspec from bd_invbasdoc where invcode = '"+cmaterialcode+"' and isnull(dr,0) = 0";
        String invspec = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (invspec == null) {
            return "";
        }
        return invspec;
    }
    
    //ͺ
    public static String getinvtype(String cmaterialcode) throws Exception {
        String sql = "select invtype from bd_invbasdoc where invcode = '"+cmaterialcode+"' and isnull(dr,0) = 0";
        String invtype = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (invtype == null) {
            return "";
        }
        return invtype;
    }
    
    //
    public static String getwidth(String cmaterialcode) throws Exception {
        String sql = "select width from bd_invbasdoc where invcode = '"+cmaterialcode+"' and isnull(dr,0) = 0";
        String width = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (width == null) {
            return "";
        }
        return width;
    }
    
    //߶
    public static String getheight(String cmaterialcode) throws Exception {
        String sql = "select height from bd_invbasdoc where invcode = '"+cmaterialcode+"' and isnull(dr,0) = 0";
        String height = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (height == null) {
            return "";
        }
        return height;
    }
    
    //λ
    public static String getmeasname(String cmaterialcode) throws Exception {
        String sql = "select measname from bd_measdoc where isnull(dr,0) = 0 and pk_measdoc = (select pk_measdoc from bd_invbasdoc where isnull(dr,0) = 0 and invcode = '"+cmaterialcode+"')";
        String measname = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (measname == null) {
            return "";
        }
        return measname;
    }
    
    //
    public static String getInvClid(String invCl) throws Exception {
        String sql = "select pk_invcl from bd_invcl where isnull(dr,0) = 0 and invclasscode = '"+invCl+"'";
        String pk_invcl = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (pk_invcl == null) {
            return "";
        }
        return pk_invcl;
    }
    
    //λ
    public static String gettaxitemid(String invTaxitems) throws Exception {
        String sql = "select pk_taxitems from bd_taxitems where isnull(dr,0) = 0 and taxcode = '"+invTaxitems+"'";
        String pk_taxitems = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (pk_taxitems == null) {
            return "";
        }
        return pk_taxitems;
    }
    
    //˰Ŀ
    public static String getMeasid(String invMeas) throws Exception {
        String sql = "select pk_measdoc from bd_measdoc where isnull(dr,0) = 0 and shortname = '"+invMeas+"'";
        String pk_measdoc = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (pk_measdoc == null) {
            return "";
        }
        return pk_measdoc;
    }
    
    //˰
    public static Object getTaxRate(String ctaxitemid) throws BusinessException {
    	String sql = "select taxratio from bd_taxitems where isnull(dr,0) = 0 and pk_taxitems = '"+ctaxitemid+"'";
    	Object taxratio = (Object) iuap.executeQuery(sql, new ColumnProcessor());
        if (taxratio == null) {
            return "";
        }
        return taxratio;
    }
    
    //ݴȥѯvo
    public static InvbasdocVO getInvVO(String invCode) throws Exception {
        String sql = "select * from bd_invbasdoc where isnull(dr,0) = 0 and invcode = '"+invCode+"'";
        Object obj = iuap.executeQuery(sql, new BeanProcessor(InvbasdocVO.class));
        if (obj == null) {
            return null;
        }
        else {
        	return (InvbasdocVO)obj;
        }
    }
    
    //ȡ̹
    public static CumandocVO getCumandocVO(String custcode) throws Exception {
        String sql = "select *  from bd_cumandoc where pk_cubasdoc = (select pk_cubasdoc from bd_cubasdoc where isnull(dr,0) = 0 and custcode = '"+custcode+"' ) and custflag != 4 and custflag is not null";
        Object obj = iuap.executeQuery(sql, new BeanProcessor(CumandocVO.class));
        if (obj == null) {
            return null;
        }
        else {
        	return (CumandocVO)obj;
        }
    }
    
    //ȡ֯
    public static String getPkCal(String code) throws Exception {
        String sql = "select pk_calbody from bd_calbody where isnull(dr,0) = 0 and bodycode = '"+code+"'";
        String pk_calbody = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (pk_calbody == null) {
            return "";
        }
        return pk_calbody;
    }
    
    //ȡ֯
    public static String getPkSale(String code) throws Exception {
        String sql = "select csalestruid from bd_salestru where isnull(dr,0) = 0 and vsalestrucode = '"+code+"'";
        String csalestruid = (String) iuap.executeQuery(sql, new ColumnProcessor());
        if (csalestruid == null) {
            return "";
        }
        return csalestruid;
    }
    
    //˾
    public static String getCorpPK(String code) throws Exception {
    	String sql = "select pk_corp from bd_corp where unitcode = '"+code+"' and dr = 0";
    	String pk_corp = (String) iuap.executeQuery(sql, new ColumnProcessor());
    	if (pk_corp == null) {
    		throw new Exception("˾"+code+"δ鵽");
        }
        return pk_corp;
    }
    
    //Ŀ
    public static String getprjtypePK(String code)throws Exception {
    	String sql = "select pk_jobtype from bd_jobtype where jobtypecode= '"+code+"' and dr = 0";
    	String pk_jobtype = (String) iuap.executeQuery(sql, new ColumnProcessor());
    	if (pk_jobtype == null) {
    		throw new Exception("Ŀ"+code+"δ鵽");
        }
        return pk_jobtype;
    }
    
    //ȡVO
    public static InvmandocVO getInvmanVO(String pk_invbas) throws BusinessException {
    	String qrysql = "select * from bd_invmandoc where isnull(dr,0) = 0 and pk_invbasdoc = '"+pk_invbas+"'";
    	Object obj = iuap.executeQuery(qrysql, new BeanProcessor(InvmandocVO.class));
    	if (obj == null) {
            return null;
        }
        else {
        	return (InvmandocVO)obj;
        }
    }
    
    //ݹ˾ȡ֯
    public static String getcalpk(String pk_corp) throws Exception {
    	String qrysql = "select pk_calbody from bd_calbody where isnull(dr,0) = 0 and pk_corp = '"+pk_corp+"'";
    	String pk_calbody = (String) iuap.executeQuery(qrysql, new ColumnProcessor());
    	if (pk_calbody == null) {
    		throw new Exception(pk_corp+"ӦĿ֯δ鵽");
        }
        return pk_calbody;
    }
}
