package u8c.ic.safetystock.button;

import nc.ui.hr.frame.bill.manage.ManageBtnStateReg;
import nc.ui.hr.frame.button.AbstractBtnReg;
import nc.ui.hr.frame.state.StateRegister;
import nc.vo.hr.frame.button.ButtonStateVO;

public class SafetystockBtnStateReg extends ManageBtnStateReg{

	public SafetystockBtnStateReg(StateRegister stRgst) {
		super(stRgst);
	}
	
	protected void addUserButtonStateVO() {
		super.addUserButtonStateVO();
		
		// ʼ
        ButtonStateVO btnStateVO = new ButtonStateVO();
        btnStateVO.setStateID(StateRegister.STATE_INIT);
        btnStateVO.setEnableBtnIDs(new int[]{AbstractBtnReg.SYSBTN_QUERY, AbstractBtnReg.SYSBTN_ADD, AbstractBtnReg.SYSBTN_REFRESH,AbstractBtnReg.SYSBTN_IMPORT});
        btnStateVO.setVisibleBtnIDs(new int[]{AbstractBtnReg.SYSBTN_EDIT, AbstractBtnReg.SYSBTN_DELETE,AbstractBtnReg.SYSBTN_IMPORT});
        addStateVO(btnStateVO.getStateID(), btnStateVO);
        
		// ͷѡ
        btnStateVO = new ButtonStateVO();
        btnStateVO.setStateID(StateRegister.STATE_LINE_SELECTED);
        btnStateVO.setEnableBtnIDs(new int[]{AbstractBtnReg.SYSBTN_QUERY, AbstractBtnReg.SYSBTN_ADD,AbstractBtnReg.SYSBTN_EDIT,AbstractBtnReg.SYSBTN_DELETE,
        		AbstractBtnReg.SYSBTN_IMPORT});
        btnStateVO.setVisibleBtnIDs(new int[]{});
        addStateVO(btnStateVO.getStateID(), btnStateVO);
        
        // 
        btnStateVO = new ButtonStateVO();
        btnStateVO.setStateID(StateRegister.STATE_NOTEDIT);
        btnStateVO.setEnableBtnIDs(new int[]{AbstractBtnReg.SYSBTN_ADD, AbstractBtnReg.SYSBTN_EDIT, AbstractBtnReg.SYSBTN_DELETE,AbstractBtnReg.SYSBTN_RETURN,
        		AbstractBtnReg.SYSBTN_IMPORT});
        btnStateVO.setVisibleBtnIDs(new int[]{AbstractBtnReg.SYSBTN_QUERY, AbstractBtnReg.SYSBTN_REFRESH,AbstractBtnReg.SYSBTN_IMPORT});
        addStateVO(btnStateVO.getStateID(), btnStateVO);

	}

}
